Copyright

Copyright © Tektronix, Inc. All rights reserved. Licensed software products are owned by Tektronix or its suppliers and are protected by United States copyright laws and international treaty provisions.

Tektronix products are covered by U.S. and foreign patents, issued and pending. Information in this publication supercedes that in all previously published material. Specifications and price change privileges reserved.

TEKTRONIX and TEK are registered trademarks of Tektronix, Inc.

TDSVNM CAN and LIN Timing and Protocol Decode Software Online Help Version 3.0.0, 076-0048-00.

Contacting Tektronix

Tektronix, Inc.

14200 SW Karl Braun Drive or P.O. Box 500

Beaverton, OR 97077 USA

For product information, sales, service, and technical support:

  • In North America, call 1-800-833-9200.

  • Worldwide, visit www.tektronix.com to find contacts in your area.


General Safety Summary

Review the following safety precautions to avoid injury and prevent damage to the measurement instrument or any products connected to it. To avoid potential hazards, use the software and measurement instrument only as specified.

While using this software, you may need to access other parts of the system. Read the General Safety Summary and specification sections in other equipment manuals for warnings, cautions, and ratings related to operating the system with this software.

To avoid Fire and Personal Injury

Connect and Disconnect Properly. Connect the probe output to the measurement instrument before connecting the probe to the circuit under test. Disconnect the probe input and the probe ground from the circuit under test before disconnecting the probe from the measurement instrument.

Observe All Terminal Ratings. To avoid fire or shock hazard, observe all ratings and markings on the measurement instrument and other equipment used with this software. Consult the individual product manuals for further ratings information before making connections to the circuit under test.

Do Not Operate With Suspected Failures. If you suspect there is damage to the measurement instrument or other equipment being used with this software, have it inspected by qualified service personnel.

Terms in this Manual

These terms may appear in this manual:

WARNING. Warning statements identify conditions or practices that could result in injury or loss of life.

CAUTION. Caution statements identify conditions or practices that could result in damage to the measurement instrument or other property.


About TDSVNM CAN and LIN Timing and Protocol Decode Software

The TDSVNM CAN and LIN Timing and Protocol Decode Software is a low speed serial bus test software program for CAN and LIN buses that run on Tektronix oscilloscopes. The software helps to decode CAN and LIN protocol messages simultaneously, set trigger conditions based on the CAN bus message, capture data for specific conditions of the in-vehicle network, decode and display the captured CAN and LIN messages, and analyze the displayed frames. TDSVNM offers timing analysis tests that help characterize CAN node performance.

The TDSVNM CAN and LIN Timing and Protocol Decode Software offers the following:

  • Protocol Decoding

  • CAN bus

  • LIN bus

  • CAN & LIN buses

  • CAN Timing Tests

  • Eye Diagram

  • Oscillator Tolerance

  • Data Rate

  • Bus Traffic

  • Wakeup Time

  • Propagation Delay


Using Online Help

The TDSVNM CAN and LIN Timing and Protocol Decode Software online help serves as a reference for using the TDSVNM CAN and LIN Timing and Protocol Decode Software.

Contents: The Contents tab displays books and pages that represent the categories of information in the online Help system.

Index: The Index tab displays a multi-level list of keywords and keyword phrases. These terms are associated with topics in the Help system and direct you to specific topics.

Search: The Search tab enables you to search for keywords in the Help system and to locate topics containing those words. When the search is completed, a list of topics is displayed so you can select a specific topic to view.

Back and Forward: The Back and Forward buttons allow you to browse through topics.

To print a topic: Select the Print button from the Help Topics menu bar.


Applications

Some typical applications while developing, integrating, operating, and updating the CAN and LIN network are as follows:

Easy System Integration: Adding new features to existing in-vehicle networks often results in adding new CAN nodes (devices). While integrating a new CAN node, there is a need to ensure that the CAN node is synchronized for seamless network operation. The oscillator tolerance and propagation delay measurements help to locate any network synchronization problems.

CAN/LIN network management: An in-vehicle network in a car enables communication between auto body parts such as doors, seats, dashboard, airbag, and engine parts such as the engine, steering, and gear box. A tool that helps to monitor the communications between different segments of the vehicle network is needed.

Protocol Decoding: The performance of an existing in-vehicle network is improved by enhancing the software in upper layers of the OSI model. This involves updating the existing vehicle firmware and testing its performance.

Monitor multiple protocols: An in-vehicle network is heterogeneous. Based on the cost and performance of a node, automotive manufacturers use different networks and integrate them using gateways.


Features

TDSVNM CAN and LIN Timing and Protocol Decode Software offers the following features and benefits:

  • Oscillator Tolerance and Propagation Delay measurements help in addressing network synchronization issues

  • Simultaneous protocol decoding of CAN and LIN messages helps in ensuring communication accuracy and acceptable latency between the two segments of the network

  • Ability to link decoded and time-stamped CAN messages to its timing waveform to clearly visualize bus functions

  • Integrated search functions help to efficiently debug network problems in the data link layer

  • CAN Eye diagram analysis quickly locates noise in the CAN message caused by jitter, amplitude aberration, spikes and glitches

  • Bus Traffic measurement helps in optimizing network performance and bus utilization for different CAN message frames

  • Support for various CAN configurations: CAN single wire, CAN Dual wire, CAN fault tolerant makes TDSVNM useful for a wide range of CAN signaling types

  • Speedy network debug by setting trigger conditions based on CAN message content such as ID, DATA and DLC

  • Setting trigger conditions to detect overload, passive error, active error and remote frames helps to quickly identify CAN network communication errors

  • Powerful conditional triggers such as if-then-else enable users to monitor the CAN network and efficiently capture intermittent or occasional events

  • Characterize long duration network timing performance by triggering on the nth occurrence of a specific CAN message or triggering only after a user specified time has elapsed

  • Ability to generate ACK Bit removes the need for a receiving CAN node while testing a single CAN node

  • Capability to use the DPO CAN Bus Trigger feature


Easy System Integration

CAN and LIN nodes are connected to form an in-vehicle network. CAN is a serial, asynchronous, and multi-master communication network. The data is transmitted from one CAN node to another CAN node with overhead and payload. The receiving node samples the incoming data using the internal clock. The oscillator, which resides in each CAN node, generates the internal clock. The sample point is programmed at an appropriate bit interval such that data from a distant node is interpreted accurately. The sample point can be programmed anywhere between 20% and 90% of the bit time. The sample point position depends on the following:

  • Oscillator tolerance of the receiving CAN node

  • Propagation delay from the transmitting node to the receiving node

If the sample point is set at 50% of the bit time, you may be limited to using short cables for the network. If the sample point is set at 80% of the bit time, you may be able to use longer cables. This requires a very high tolerance oscillator, which generates the sampling clock. A low tolerance oscillator may cause sampling beyond the bit time and wrong interpretation of the data by the CAN node.

It is apparent that a low tolerance oscillator is not compatible with long cable length. Oscillator tolerance also varies with the operating temperature and age of the CAN network.

New nodes are added to the existing network to add more features to the vehicle. During system integration, you need a tool that allows you to synchronize the new CAN node by setting an appropriate sample point location in the bit time, based on the oscillator tolerance of the CAN nodes and propagation delay of the network.

TDSVNM is a tool that helps in characterizing the oscillator tolerance and propagation delay of the CAN network. TDSVNM helps to easily integrate an in-vehicle network and add new CAN nodes to the existing network.


Network Management

CAN and LIN network enables the communication between doors, seats, dashboard, airbag, and engine parts. The communication needs to be efficient and timely between the CAN and LIN nodes. To measure the effectiveness of the communication, you need to capture the physical layer activity using an oscilloscope. This data will be in the YT format, which is difficult to interpret. Analyzing a YT waveform is time consuming and prone to errors. You might want to view the YT data in hexadecimal, binary, or decimal format.

Each CAN node expects to communicate in a timely manner. This requirement becomes critical for the safety bus, since it controls the airbag and ABS. To characterize this part of the communication, you need a tool that allows you to measure the time difference between the communication of the node that provides input and the nodes that respond to the input.

An in-vehicle network manages combustion, emission, safety and comfort needs of the vehicle by continuous communication. For reliable operation of the CAN and LIN, network traffic needs to be monitored for a long time.


Monitoring Multiple Protocols

An in-vehicle network is heterogeneous. Based on performance requirements and the cost of a node, automotive manufacturers use different networks and integrate those using gateways. Two dominant networks are CAN and LIN.

In a CAN network, different data speeds are used based on the application of that segment of the network. In many cases there could be communication across the two-segment networks through a gateway. You need to ensure that communication across the gateway is accurate and timely. To characterize this, you need tools that would provide simultaneous decoding of the data for each segment of the network.

A typical example for a CAN-LIN network is as shown in the following figure:

In this application, design engineers and system integration engineers would need to monitor the LIN and CAN protocol across the gateway. In the picture, the gateway is an ECU that converts LIN to CAN protocol and vice versa. Engineers need to monitor the delays in the two-way communication between the CAN and LIN network . This is because each of the segments of the network operates at different speeds. The delay between the CAN and LIN gateway would affect the movement of the gears that control the headlight position.


Protocol Decoding

The performance of an automotive, medical electronics or industrial automation network is improved by enhancing the software in upper layers of the OSI model. This involves updating the existing vehicle firmware and testing its performance. During firmware update, you need to monitor the physical layer activity of the CAN in hexadecimal, binary or decimal format, and then optimize the performance of the network.


Overview

The ATM-1 Automotive Trigger Module monitors the CAN bus protocol and provides an output signal to trigger a Tektronix oscilloscope when a user-specified bus condition occurs.

The ATM-1 automotive trigger module is manufactured by Crescent Heart Software (CHS). Refer to www.c-h-s.com for contact information.

The ATM-1 monitors the behavior of the bus to which it is connected, and can also send signals to the bus in specific situations (for example, to optionally signal an acknowledge on the CAN bus).

The ATM-1 functions as an addition to an oscilloscope, enabling the oscilloscope to be triggered when a complex signaling situation occurs on the bus. The ATM-1 can track and produce a trigger signal as a result of signaling conditions that are too complex for the oscilloscope to trigger on. Such complex signaling conditions occur as a result of the multiple levels of signaling protocol implemented on the CAN bus.

The ATM-1 is packaged in an aluminum metal case with front and rear-panel signal input and output connectors.

Application Environment

An oscilloscope uses standard probes to monitor the electrical activity of the bus signal(s). For single wire buses, the signal voltage is determined relative to the system ground. For dual wire buses, which use differential signaling, the differential voltage is determined using either a differential probe or two conventional (non differential) probes with the algebraic voltage difference mathematically computed by the oscilloscope.

The ATM-1 also connects to the bus signal(s), allowing the module to monitor the logical behavior of the bus.

See Also:

Trigger Module Connections


Trigger Module Connections

A D-SUB 25-pin male connector on the front panel of the ATM-1 accepts the bus signals to be monitored. Connecting the bus signals to the ATM-1 requires wiring the 25-pin female mating connector provided with the unit, or using the optional companion cable assembly.

The ATM-1 produces a TTL-compatible 50-Ω back-terminated trigger output through a BNC connector on the rear panel of the unit; use the standard 50-Ω BNC cable provided with the ATM-1 to connect the ATM-1 trigger output to a trigger input on the oscilloscope. The trigger state machine of the ATM-1 creates an output signal on the trigger output according to user-specified trigger events.

The ATM-1 can be connected to the oscilloscope using the USB port on the rear panel of the unit. Through this connection, the application software running on the oscilloscope can set up trigger conditions, control, and monitor the trigger module.

The bicolor (yellow/green) LED on the ATM-1 front panel indicates the presence of power, the status of the USB connection, and certain error conditions.

Buses and Bus Connections

The current version of the ATM-1 firmware supports following versions of CAN bus:

  • CANH, CANL: High- or medium-speed CAN bus differential signals, In/Out

  • FTCANH, FTCANL: Fault-tolerant low-speed CAN bus differential signals, In/Out

  • SWCAN: Single-wire CAN bus signal, In/Out

See Also:

Overview of the ATM-1 Automotive Trigger Module


Printing from the Online Help

While using the online help, you can print topics and information from the HTML Help viewer.

To print a single topic:

  1. Find the topic in the Contents pane.

  2. Click Print.

  3. Click Print the selected topic and click OK.

To print all topics in a selected TOC book:

  1. Find the TOC book in the Contents pane.

  2. Click Print.

  3. Click Print the selected heading and all subtopics and click OK.

Some online help topics have color in the examples of the displayed application. If you want to print this type of topic on a monochrome printer, some colors may not print. To avoid this problem, print the topic from the PDF file that corresponds to the online help. You can find this file in the Documents directory on the Optional Applications Software on Windows-Based Oscilloscopes CD–ROM. The application menus in the PDF file are gray scale and all the information can be printed.


Conventions

Online help uses the following conventions:

  • When steps require a sequence of selections using the application interface, the ">" delimiter marks each transition between a menu and an option. For example, File > Minimize.

  • DUT refers to the transmitter of the signal to be tested.


Updates from the Web Site

You can find information about this and other applications at the Tektronix Inc. Web site, www.tektronix.com. Check this site for firmware updates and other information about our application.


Feedback

Tektronix values your feedback on our products. To help us serve you better, please send us your suggestions, ideas, or comments on the application.

Direct your feedback using email to techsupport@tektronix.com or tdsvnm-feedback@tek.com. You can also send feedback by FAX to (503) 627-5695. Please include the following information and be as specific as possible.

General information:

  • Instrument model number and hardware options if any, with serial number

  • Probes used

  • Your name, company, mailing address, phone number, FAX number, email address

  • Please indicate if you would like to be contacted by Tektronix about your suggestion or comments

Application specific information:

  • Software version number

  • Description of the problem such that technical support can duplicate the problem

  • The setup file of the oscilloscope and the application is also required to identify the problem

  • If possible, save the waveform on which you are performing the measurement as a .wfm file

Note: To find the Software version number, click Help > About in the application.

Once you have gathered this information, you can contact technical support by fax or through email. If using email, be sure to enter "TDSVNM Software Problem" in the subject line, and attach the .wfm files.

You can then attach the file to your email (depending on the capabilities of your email editor).


Compatibility

For information on oscilloscope Compatibility, refer to the Optional Applications Software on Windows-Based Oscilloscopes Installation Manual, Tektronix part number 071-1888-00. The manual is also available as a PDF file.

See Also:

Recommended Accessories

Requirements and Restrictions


Accessories

Recommended Accessories

The following probes are supported by the application:

  • P5205

  • P5200

  • P6246

  • P6247

  • P6248

  • ADA400A

  • TCA-1MEG, TPA-BNC probe adapter for use with supported oscilloscopes

  • TPA-BNC, TEKPROBE™ BNC adapter for use with supported oscilloscopes

See Also:

Compatibility

Requirements and Restrictions


Starting the Application

Depending on the type of oscilloscope that you have, you can start the software in the following way:

  1. To start the application, do one of the following:

  • Select File > Run Application > in the oscilloscope menu bar. Then select CAN and LIN Timing and Protocol Decode Software

  • Select App > CAN and LIN Timing and Protocol Decode Software

  • Select Analyze > CAN and LIN Timing and Protocol Decode Software

  2. A splash screen indicates that the software loading is in progress.

  3. The oscilloscope display resizes to fit in the upper part of the screen. The lower part of the oscilloscope screen displays the TDSVNM CAN and LIN Timing and Protocol Decode Software.

  4. The software is automatically set to its default settings.

  5. If you gain access to the oscilloscope functions, then the oscilloscope display appears full screen and the TDSVNM CAN and LIN Timing and Protocol Decode Software recedes to the background.

  6. To return to the TDSVNM CAN and LIN Timing and Protocol Decode Software, do one of the following:

  • Select APP on the top right of the oscilloscope display

  • Select App > Restore Application

  • Select Analyze > Restore Application

See Also:

Maximizing and Minimizing the Application

Returning to the Application

Exiting the Application


Requirements and Restrictions

Requirements

DPO CAN Bus trigger is required:

  • To define Elementary Trigger

  • To carry out the Oscillator Tolerance, Eye Diagram, and Data Rate tests

The ATM-1 Automotive Trigger Module is required:

  • To define Elementary Trigger, logical, or advanced triggering during protocol decoding

  • To carry out the Oscillator Tolerance, Eye Diagram, and Data Rate tests

Restrictions

It is recommended that you do not connect more than one ATM-1 module to an oscilloscope.


Maximizing and Minimizing the Application

The software appears even when you minimize the oscilloscope display.

  • To minimize the software, click File > Minimize. The TDSVNM CAN and LIN Timing and Protocol Decode Software window minimizes to the Windows taskbar. The upper part of the screen has the oscilloscope display and the lower part of the screen has the desktop.

  • To restore the minimized window to its previous size, click its taskbar button.

  • To hide the window, click [image] on the top-right of the software window.

See Also:

Returning to the Application

Exiting the Application


Returning to the Application

When you gain access to the oscilloscope functions, the oscilloscope fills the display. You can access the oscilloscope functions in the following ways:

  • Choose either the menu bar or the toolbar mode on the oscilloscope, and then gain access to the menus.

  • Click App > Restore Application or click APP on the top right of the oscilloscope display to return to the software.

See Also:

Exiting the Application


Exiting the Application

To exit the software:

  1. On the menu bar, click File > Exit or click [image].

  2. The Exit dialog box appears.

  3. Click either Yes, No, or Cancel. Yes is selected by default. When the software runs, it automatically changes some oscilloscope settings. When you quit the software, you can choose whether to retain these settings or restore the previous settings.


Application Directories and Usage

The TDSVNM CAN and LIN Timing and Protocol Decode Software uses directories to save and recall setup files and uses file name extensions to identify the file type. The following table lists the default directory names.

Default directory names* | Directory use
C:\TekApplications\TDSVNM | TDSVNM application home location
\Images | Plot files
\Reports | Results of protocol decoding
\Setup | Setup files for TDSVNM
\Temp | Temporary files
*All subdirectories are located in the C:\TekApplications\TDSVNM directory.


Protocol Decoding and Timing Measurements

Protocol Decoding and Timing Analysis Tests

The TDSVNM CAN and LIN Timing and Protocol Decode Software offers the following:

Protocol or Test | Description
CAN bus (Controller Area Network) | Converts the waveform acquired by the oscilloscope from the Controller Area Network into a bit stream and decodes it to display CAN protocol messages in the protocol analysis window. The application supports CAN Dual Wire, CAN Single Wire and CAN Fault Tolerant buses.
LIN Bus (Local Interconnect Network) | Converts the waveform acquired on the Local Interconnect Network into a bit stream and decodes it to display LIN protocol messages in the protocol analysis window.
CAN and LIN | Decodes and displays the waveform acquired simultaneously on CAN and LIN buses.
Eye Diagram | Represents the overlaying of the individual NRZ bits of a CAN message. This allows you to find electrical noise in the CAN message such as amplitude aberration, jitter, spikes and glitches. The ability to view Eye diagram with Ack and without Ack bit allows you to realize the impact of propagation delay on the bit time and adjust the sample point accordingly.
Oscillator Tolerance | Measures the deviation of the oscillator deduced from the transmitted data. This enables you to program the segments and to operate the node synchronously with other nodes. Oscillator tolerance is measured in percentage.
Data Rate | Extracts the data rate of the selected node based on the ID from the acquired CAN frame signal. Data rate is measured in Kbps.
Bus Traffic | Determines the load of the CAN message on the CAN bus network expressed as percentage of bus occupancy. Determines the details of the message that occupies the bus of the selected node. It also gives the number of CAN messages and frame types on the network. Bus traffic is measured in percentage.
Wakeup Time | Measures the time difference between time of the ignition signal to the first CAN message during network start up. Wakeup time is measured in seconds.
Propagation Delay | Measures the time taken for a message to travel from one end of the network to the other end. This is measured for the signal transition on the start frame of the message. Propagation delay is measured in seconds.


Option VNM Application View

TDSVNM Application View

See Also:

Protocol Decoding and Timing Analysis Tests

Menus


Menus

The menu bar of TDSVNM software consists of the following menus:

Select these links for information on each of the menus.

File menu

Tests menu

Results menu

Utilities menu

Help menu


File Menu

Menu selection | Description
Recall Default | Click File > Recall Default to recall the default settings for both the software and the oscilloscope.
Recall | Click File > Recall to recall the previously saved settings for the software from an .ini file.
Save | Click File > Save to save the software settings to an .ini file.
Recall Recent | Click File > Recall Recent to select among the recently saved and recalled setups.
Preferences | Click File > Preferences to set preferences.
Minimize | Click File > Minimize to minimize the software window.
Exit | Click File > Exit to quit the software.


Tests Menu

Menu selection | Description
Select | Click Tests > Select to display or modify the protocol or test selection.
Configure | Click Tests > Configure to display or modify the configuration parameters for the selected protocol or test.
Trigger Setup | Click Tests > Trigger Setup to display or modify the trigger parameters and trigger type for the selected protocol or timing test.
Connect | Click Tests > Connect to display the connection instructions for the selected protocol or test.


Results Menu

Click Results > Details to display the detailed results of the last test that was conducted.


Utilities Menu

Click Utilities > ATM-1 License Installation to install or upgrade ATM-1 automotive trigger module license key information.


Help Menu

Menu selection | Description
Help Topics | Click Help > Help Topics to display the help file for the TDSVNM CAN and LIN Timing and Protocol Decode Software.
About TDSVNM | Click Help > About TDSVNM to display a dialog box with information about the current TDSVNM CAN and LIN Timing and Protocol Decode Software.
About ATM-1 | Click Help > About ATM-1 to display a dialog box with information about the current ATM-1 automotive trigger module.


Selection Panel

The selection panel appears at the far left of every screen. It allows you to navigate through the TDSVNM application.

The following table shows the buttons and their descriptions:

Button | Description
Select | Click Select to display the protocols and timing tests to select from.
Configure | Click Configure to display the configuration parameters for the selected protocol or timing test.
Trigger Setup | Click Trigger Setup to display the trigger parameters and trigger type for the selected protocol or timing test.
Connect | Click Connect to display the connection instructions for the selected protocol or timing test.

After you select and configure a protocol or test, you can either set up the trigger conditions or make equipment connections for the selected protocol or test.


Control Panel

The control panel appears at the far right of every screen. It controls all of the application’s operations.

The following table shows the buttons and their descriptions:

Button | Description
Run | Executes the protocol decoding or test selected. The Run button changes to Stop when the test is running. You can stop the test by clicking the Stop button.
Results | Displays the respective Result details panel for the protocol or the test that is configured.
Clear | Clears the results displayed on the results screen.
Sequence Mode Single Run Free Run No Acq | Same as the “Single” button on the oscilloscope front panel. Runs continuously until you press Stop. Conducts the test without acquiring the waveform.

Note: When Ref sources are selected in configuration panel, only the No Acq sequencer mode is available.

For the Wakeup Time test, only the Single and No Acq sequencer modes are available.


Status Bar

The status bar at the bottom of the application screen dynamically updates according to your selection. The status bar shows the selected Protocol or Test, Configuration parameters, Hints, and Sequence state.


Setting Preferences

File > Preferences

Math Destination is applicable only when:

  • The probe type is single-ended

  • The bus type is CAN-DW-HL, CAN-DW-LH, CAN-Fault-T-HL, or CAN-Fault-T-LH

However, Reference Level is used for all bus sources.

Options

Description

Math Destination

Bus1 Source

Select the Bus1 source from Math1, Math2, Math3, Math4.

Bus2 Source

Select the Bus2 source from Math1, Math2, Math3, Math4.

CAN Node Sensor Source

Select the CAN Node Sensor source from Math1, Math2, Math3, Math4.

Reference Level for Bus1 Source, Bus2 Source, and CAN Node Source

Slope*

Set the slope to Rise or Fall.

Units

Select the units from Percentage and Absolute.

Mid

Set the Mid range value in the units specified.

Hysteresis

Set the Hysteresis range value in the units specified.

Do Autoset Every Time

Select this option to perform autoset every time you click Run whether any parameters in the Config panel have changed or not.

When this selection is cleared, autoset is performed only when the Bus Type or Bus Source changes in the Config panel.

* Slope is applicable only for CAN Node Sensor Source.

Note: For Timing Analysis tests, Bus2 preferences are disabled because the tests are performed for the bus that is configured.


Virtual Keyboard

Virtual Keyboard - Numeric

  1. Click any number box to display the icon for the numeric keyboard.

  2. Click the icon to display the numeric keyboard.

  3. Click the number keys to enter the desired value.

  4. Select a unit of measure.

  5. Click Enter to confirm your entry. Selections are not effective until you click Enter.

Virtual Keyboard - Binary

  1. In the Trigger Settings window, set Format to Binary.

  2. Click the number box next to the ID, DLC, or Data fields to display the icon for the binary keyboard.

  3. Click the number keys (X, 1, 0) to enter the desired value. X represents a 'Don't Care' value.

Note: If a value has already been entered, click Clear to clear the entry before entering a new value.

  4. Click Apply to confirm your entry. Selections are not effective until you click Apply.

Virtual Keyboard - Hexadecimal

  1. In the Trigger Settings window, set Format to Hex.

  2. Click the number box next to the ID, DLC, or Data fields to display the icon for the hexadecimal keyboard.

  3. Click the number keys (0 through 9, A through F, and X) to enter the desired value. X represents a 'Don't Care' value.

Note: If a value has already been entered, click Clear to clear the entry before entering a new value.

  4. Click Apply to confirm your entry. Selections are not effective until you click Apply.


Protocol and Timing Tests

Protocol and Timing Analysis Tests

The following table shows how to select the protocol to decode:

Test type | How to select
Protocol | Click Tests > Select from the menu to view the tests.
CAN | In the CAN and LIN Protocol Decoding area, click CAN.
LIN | In the CAN and LIN Protocol Decoding area, click LIN.
CAN & LIN | In the CAN and LIN Protocol Decoding area, click CAN & LIN to select both the protocols to decode.

The following table shows how to select the timing analysis tests:

Test type | How to select
Timing Analysis Tests | Click Tests > Select from the menu to view the tests.
Oscillator Tolerance | In the Timing Analysis Tests area, click Oscillator Tolerance.
Eye Diagram | In the Timing Analysis Tests area, click Eye Diagram.
Bus Traffic | In the Timing Analysis Tests area, click Bus Traffic.
Data Rate | In the Timing Analysis Tests area, click Data Rate.
Wakeup Time | In the Timing Analysis Tests area, click Wakeup Time.
Propagation Delay | In the Timing Analysis Tests area, click Propagation Delay.

See Also:

Configure Protocol

Configure Timing Analysis Test


Configure Protocol

On the menu bar, click Tests > Configure to configure the parameters for the selected protocol.

In the configure pane, you will see the factory default configuration for the test you selected. For most tests, you can use the factory default configuration. However, you can change the values by using the virtual keyboard or the general purpose knob on the oscilloscope front panel. Using the File menu, you can also restore the factory defaults or save and recall your own configuration settings.

The following table shows the parameters that you can configure for protocol decoding.

Note: When Ref sources are selected in configuration panel, only the No Acq sequencer mode is available.

For two-channel oscilloscopes, source selections Ref3, Ref4, Ch1-Ch3, and Ch1-Ch4 are not available.

In the Configure Panel, an option input Trigger Using is available to use the internal trigger feature of the instrument in the application. Trigger Using has three selections: DPO-CAN, ATM-1, and Standard.

  • DPO-CAN: This selection is available only on a DPO-series oscilloscope when CB:CAN Bus Trigger option is installed. When Trigger Using is set to DPO-CAN, the application supports the following standard date rates:

10 Kbps, 20 Kbps, 33.3 Kbps, 50 Kbps, 62.5 Kbps, 83.3 Kbps, 100 Kbps, 125 Kbps, 250 Kbps, 500 Kbps, 800 Kbps, and
1 Mbps.

  • ATM-1: This selection is available to use ATM-1 trigger module

  • Standard – This selection is available only for CAN and LIN protocol decoding and not applicable to CAN-Timing Analysis Tests. In this selection, you need to configure the required trigger settings in the Trigger panel of the oscilloscope to standard triggers such as Edge, Width, Glitch.

Note: Trigger Using selection is not applicable to Wakeup time and Propagation delay measurements.

After you select and configure a protocol or test, you can either set up the trigger conditions or make equipment connections for the selected protocol or test.

See Also:

Configure CAN Protocols

Configure LIN Protocol

Configure CAN and LIN Protocol


Configure CAN Protocol

Follow these steps to configure the CAN bus.

  1. On the menu bar, click Tests > Configure to configure the parameters for the selected protocol.

  2. Select the Trigger Using for the DPO oscilloscope.

The following table shows the parameters that you can configure for CAN protocol decoding. You can decode two CAN buses simultaneously.

Parameter

Description

Trigger Using

DPO-CAN

Sets the trigger to use to DPO-CAN

ATM-1

Sets the trigger to use to ATM-1

Standard

Sets the trigger to use to Standard

Probe Type

Single-ended

Sets the probe type to single-ended.

Differential

Sets the probe type to differential.

Bus1 (Trigger Source)

Source

Select the channel source for Bus1. The source selections for a single-ended probe type are: Ch1-Ch2, Ch1-Ch3, Ch1-Ch4, Ref1, Ref2, Ref3, Ref4.*

The source selections for a differential probe type are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.*

Bus Type

Select the bus type. The bus type selections are: CAN-DW-LH, CAN-DW-HL, CAN-SW**, CAN-Fault-T-HL, CAN-Fault-T-LH.

If you use a differential probe, and the positive terminal is connected to a CAN High signal and the negative terminal to CAN Low, use the CAN-H-L (High-Low) configuration. If the polarity is reversed, use the CAN-L-H configuration.

If you use a single-ended probe and if Ch1 is connected to a CAN High signal and Ch2 is connected to a CAN Low signal, use the CAN-H-L (High-Low) configuration. If you connect Ch1 to a CAN Low signal and Ch2 to a CAN High signal, use the CAN-L-H (High-Low) configuration.

Bit Rate

Set the bit rate of the selected bus type.

Bus2

Source

Select the channel source for Bus2. If you do not have a second bus, set this option to None.

Bus Type

Select the bus type, if applicable.

Bit Rate

Set the bit rate for the selected bus type, if applicable.

CAN Node Sensor

Source

Sets the CAN node sensor source. For a differential probe, the source selections are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4, None.

For a single-ended probe, the source selections are: Ch1-Ch2, Ch3-Ch4, Ch1-Ch3, Ch2-Ch4, Ref1, Ref2, Ref3, Ref4, None.

ID

Enter or type the ID for which the messages are analyzed.

Analysis

Select the type of analysis to perform on the data— Timing or Data. Use Data for protocol decoding.

* For Ref sources, Timing/Data Analysis is not available.

** For the CAN-SW Bus Type and Single-ended Probe Type, the source channel selection is always Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

  3. Select the probe type.

  4. Select the parameters for Bus1 (Source, Bus Type, and Bit Rate). The selected Bus Type and Data Rate are used to set the Bus Type and Data Rate of the ATM-1 automotive trigger module.

  5. If you have a second bus, select the parameters for Bus2 (Source, Bus Type, and Bit Rate). If you do not have a second bus, set the Source and Bus Type to None.

  6. Set the CAN Node Sensor Source and ID. If you set the sensor source to None, the ID field is disabled.

  7. Select the type of analysis to perform on the data—Timing or Data. Use Data to decode a protocol.

Note: Usually, timing analysis is used to detect anomalies in the acquired signal. Data analysis is used for protocol decoding.

  8. Click Tests > Trigger Setup to configure the trigger parameters or click Tests > Connect to make connections to the device under test.

See Also:

Trigger CAN and CAN/LIN Protocol


Configure LIN Protocol

Follow these steps to configure the LIN bus.

  1. On the menu bar, click Tests > Configure to configure the parameters for the selected protocol.

Note: Trigger Using is not applicable to LIN

The following table shows the parameters that you can configure for LIN protocol decoding. You can decode two LIN buses simultaneously.

Parameter | Description
Probe Type
Single-ended | Sets the probe type to single-ended.
Differential | Sets the probe type to differential.
Bus1 (Trigger Source)
Source | Select the channel source for Bus1. The source selections for single-ended and differential probe types are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.*
Bus Type | Set the bus type to LIN.
Bit Rate | Set the bit rate for the selected bus type.
Bus2
Source | Select the channel source for Bus2. If you do not have a second bus, set this option to None.
Bus Type | Select the bus type to LIN, if applicable.
Bit Rate | Set the bit rate of the selected bus type, if applicable.
Analysis | Select the type of analysis to perform on the data— Timing or Data. Use Data for protocol decoding.
* For Ref sources, Timing/Data Analysis is not available.

  2. Select the probe type.

  3. Select the parameters for Bus1 (Source, Bus Type, and Bit Rate).

  4. If you have a second bus, select the parameters for Bus2 (Source, Bus Type, and Bit Rate). If you do not have a second bus, set the Source and Bus Type to None.

  5. Select the type of analysis to perform on the data (Timing or Data). Use Data to decode a protocol.

Note: Usually, timing analysis is used to detect anomalies in the acquired signal. Data analysis is used for protocol decoding.

  7. Click Tests > Connect to connect to the device under test.


Configure CAN and LIN Protocol

Follow these steps to configure the CAN and LIN bus.

  1. On the menu bar, click Tests > Configure to configure the parameters for the selected protocols.

  2. Select the Trigger Using for the DPO oscilloscope.

The following table shows the parameters that you can configure for CAN and LIN protocol decoding. You can decode the two buses simultaneously.

Parameter

Description

Trigger Using

DPO-CAN

Sets the trigger to use to DPO-CAN

ATM-1

Sets the trigger to use to ATM-1

Standard

Sets the trigger to use to Standard

Probe Type

Single-ended

Sets the probe type to single-ended.

Differential

Sets the probe type to differential.

Bus1 (Trigger Source)

Source

Select the channel source for Bus1. The source selections for a single-ended probe type are: Ch1-Ch2, Ch1-Ch3, Ch1-Ch4, Ref1, Ref2, Ref3, Ref4.*

The source selections for a differential probe type are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.*

Bus Type

Select the bus type. The bus type selections are: CAN-DW-LH, CAN-DW-HL, CAN-SW**, CAN-Fault-T-HL, CAN-Fault-T-LH.

If you use a differential probe, and the positive terminal is connected to a CAN High signal and the negative terminal to CAN Low, use the CAN-H-L (High-Low) configuration. If the polarity is reversed, use the CAN-L-H configuration.

If you use a single-ended probe and if Ch1 is connected to a CAN High signal and Ch2 is connected to a CAN Low signal, use the CAN-H-L (High-Low) configuration. If you connect Ch1 to a CAN Low signal and Ch2 to a CAN High signal, use the CAN-L-H (High-Low) configuration.

Bit Rate

Set the bit rate of the selected bus type.

Bus2

Source

Select the channel source for Bus2.

The source selections available for single-ended and differential probe types are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4, None.

Bus Type

Set the bus type to the default (LIN).

Bit Rate

Set the bit rate for the selected bus type.

CAN Node Sensor

Source

Sets the CAN node sensor source. For a differential probe, the source selections are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4, None.

For a single-ended probe, the source selections are: Ch1-Ch2, Ch3-Ch4, Ch1-Ch3, Ch2-Ch4, Ref1, Ref2, Ref3, Ref4, None.

ID

Enter or type the ID for which the messages are analyzed.

Analysis

Select the type of analysis to perform on the data— Timing or Data. Use Data for protocol decoding.

* For Ref sources, Timing/Data Analysis is not available.

**For the CAN-SW Bus Type and Single-ended Probe Type, the source channel selection is always Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

  3. Select the probe type.

  4. Select the parameters for Bus1 (Source, Bus Type, and Bit Rate). Bus1 is always the CAN bus. The selected Bus Type and Data Rate selected are used to set the Bus Type and Data Rate of the ATM-1 automotive trigger module.

  5. Select the parameters for Bus2 (Source, Bus Type, and Bit Rate). Bus2 is always the LIN bus.

  6. Set the CAN Node Sensor Source and ID. If you set the sensor source to None, the ID field is disabled.

  7. Select the type of analysis to perform on the data (Timing or Data). Use Data to decode a protocol.

Note: Usually, timing analysis is used to detect anomalies in the acquired signal. Data analysis is used for protocol decoding.

  8. Click Tests > Trigger Setup to configure the trigger parameters or click Tests > Connect to make connections to the device under test.


Timing Analysis Tests

On the menu bar, click Tests > Configure to configure the parameters for the selected timing analysis test.

In the configure pane, you will see the factory default configuration for the test you selected. For most tests, you can use the factory default configuration. However, you can change the values by using the virtual keyboard or the general purpose knob on the oscilloscope front panel. Using the File menu, you can also restore the factory defaults or save and recall your own configuration settings.

The following table shows the parameters that you can configure for timing analysis tests.

Note: When Ref sources are selected in configuration panel, only the No Acq sequencer mode is available.

For the Wakeup Time test, only the Single and No Acq sequencer modes are available.

Standard is not available for timing analysis tests

For two-channel oscilloscopes, source selections Ref3, Ref4, Ch1-Ch3, and Ch1-Ch4 are not available.

When Trigger Using is set to DPO-CAN, the application supports the following standard date rates:

10 Kbps, 20 Kbps, 33.3 Kbps, 50 Kbps, 62.5 Kbps, 83.3 Kbps, 100 Kbps, 125 Kbps, 250 Kbps, 500 Kbps, 800 Kbps, and
1 Mbps.

After you select and configure a protocol or test, you can either set up the trigger conditions or make equipment connections for the selected protocol or test.

See Also:

Configure Oscillator Tolerance

Configure Eye Diagram

Configure Bus Traffic

Configure Data Rate

Configure Wakeup Time

Configure Propagation Delay


Configure Oscillator Tolerance

Follow these steps to configure the Oscillator Tolerance test.

  1. On the menu bar, click Tests > Configure to configure the parameters for the Oscillator Tolerance test.

  2. Select the Trigger Using for the DPO oscilloscope.

The following table shows the parameters that you can configure for the Oscillator Tolerance test.

Parameter

Description

Trigger Using

DPO-CAN

Sets the trigger to use to DPO-CAN

ATM-1

Sets the trigger to use to ATM-1

Probe Type

Single-ended

Sets the probe type to single-ended.

Differential

Sets the probe type to differential.

Bus (Trigger Source)

Source

Select the channel source for the bus. The source selections for a single-ended probe type are: Ch1-Ch2, Ch1-Ch3, Ch1-Ch4, Ref1, Ref2, Ref3, Ref4.

The source selections for a differential probe type are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

Bus Type

Select the bus type. The bus type selections are: CAN-DW-LH, CAN-DW-HL, CAN-SW*, CAN-Fault-T-HL, CAN-Fault-T-LH.

Bit Rate

Set the bit rate of the selected bus type.

* For the CAN-SW Bus Type the source channel selection is always Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

  3. Select the probe type.

  4. Select the parameters–Source, Bus Type, and Bit Rate.

  5. Click Tests > Trigger Setup to configure the trigger parameters or click Tests > Connect to make connections to the device under test.


Configure Eye Diagram

Follow these steps to configure the Eye Diagram test.

  1. On the menu bar, click Tests > Configure to configure the parameters for the Eye Diagram test.

  2. Select the Trigger Using for the DPO oscilloscope.

The following table shows the parameters that you can configure for the Eye Diagram test.

Parameter

Description

Trigger Using

DPO-CAN

Sets the trigger to use to DPO-CAN

ATM-1

Sets the trigger to use to ATM-1

Probe Type

Single-ended

Sets the probe type to single-ended.

Differential

Sets the probe type to differential.

Bus (Trigger Source)

Source

Select the channel source for the bus. The source selections for a single-ended probe type are: Ch1-Ch2, Ch1-Ch3, Ch1-Ch4, Ref1, Ref2, Ref3, Ref4.

The source selections for a differential probe type are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

Bus Type

Select the bus type. The bus type selections are: CAN-DW-LH, CAN-DW-HL, CAN-SW*, CAN-Fault-T-HL, CAN-Fault-T-LH.

Bit Rate

Set the bit rate for the selected bus type.

* For the CAN-SW Bus Type the source channel selection is always Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

  3. Select the probe type.

  4. Select the parameters–Source, Bus Type, and Bit Rate.

  5. Click Tests > Trigger Setup to configure the trigger parameters or click Tests > Connect to make connections to the device under test.


Configure Bus Traffic

Follow these steps to configure the Bus Traffic test.

  1. On the menu bar, click Tests > Configure to configure the parameters for the Bus Traffic Trigger Using selection.

The following table shows the parameters that you can configure for the Bus Traffic test.

Parameter

Description

Trigger Using

DPO-CAN

Sets the trigger to use to DPO-CAN

ATM-1

Sets the trigger to use to ATM-1

Probe Type

Single-ended

Sets the probe type to single-ended.

Differential

Sets the probe type to differential.

Bus (Trigger Source)

Source

Select the channel source for the bus. The source selections for a single-ended probe type are: Ch1-Ch2, Ch1-Ch3, Ch1-Ch4, Ref1, Ref2, Ref3, Ref4.

The source selections for a differential probe type are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

Bus Type

Select the bus type. The bus type selections are: CAN-DW-LH, CAN-DW-HL, CAN-SW*, CAN-Fault-T-HL, CAN-Fault-T-LH.

Bit Rate

Set the bit rate for the selected bus type.

* For the CAN-SW Bus Type the source channel selection is always Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

  2. Select the probe type.

  3. Select the parameters–Source, Bus Type, and Bit Rate.

  4. Click Tests > Trigger Setup to configure the trigger parameters or click Tests > Connect to connect to the device under test.


Configure Data Rate

Follow these steps to configure the Data Rate test.

  1. On the menu bar, click Tests > Configure to configure the parameters for the Data Rate test.

  2. Select the Trigger Using on the DPO oscilloscope.

The following table shows the parameters that you can configure for the Data Rate test.

Parameter

Description

Trigger Using

DPO-CAN

Sets the trigger to use to DPO-CAN

ATM-1

Sets the trigger to use to ATM-1

Probe Type

Single-ended

Sets the probe type to single-ended.

Differential

Sets the probe type to differential.

Bus (Trigger Source)

Source

Select the channel source for the bus. The source selections for a single-ended probe type are: Ch1-Ch2, Ch1-Ch3, Ch1-Ch4, Ref1, Ref2, Ref3, Ref4.

The source selections for a differential probe type are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

Bus Type

Select the bus type. The bus type selections are: CAN-DW-LH, CAN-DW-HL, CAN-SW*, CAN-Fault-T-HL, CAN-Fault-T-LH.

Bit Rate

Set the bit rate for the selected bus type.

* For the CAN-SW Bus Type the source channel selection is always Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

  3. Select the probe type.

  4. Select the parameters–Source, Bus Type, and Bit Rate.

  5. Click Tests > Trigger Setup to configure the trigger parameters or click Tests > Connect to make connections to the device under test.


Configure Wakeup Time

Follow these steps to configure the Wakeup Time test.

  1. On the menu bar, click Tests > Configure to configure the parameters for the Wakeup Time test.

The following table shows the parameters that you can configure for the Wakeup Time test.

Parameter

Description

Probe Type

Single-ended

Sets the probe type to single-ended.

Differential

Sets the probe type to differential.

Bus (Trigger Source)

Source

Select the channel source for the bus. The source selections for a single-ended probe type are: Ch1-Ch2, Ch1-Ch3, Ch1-Ch4, Ref1, Ref2, Ref3, Ref4.

The source selections for a differential probe type are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

Bus Type

Select the bus type. The bus type selections are: CAN-DW-LH, CAN-DW-HL, CAN-SW*, CAN-Fault-T-HL, CAN-Fault-T-LH.

Bit Rate

Set the bit rate for the selected bus type.

* For the CAN-SW Bus Type the source channel selection is always Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

  2. Select the probe type.

  3. Select the parameters–Source, Bus Type, and Bit Rate.

  4. Click Tests > Trigger Setup to configure the trigger parameters or click Tests > Connect to make connections to the device under test.

Note: Trigger Using is not available for Wakeup Time measurement


Configure Propagation Delay

Follow these steps to configure the Propagation Delay test.

  1. On the menu bar, click Tests > Configure to configure the parameters for the Propagation Delay test.

The following table shows the parameters that you can configure for the Propagation Delay test.

Parameter

Description

Probe Type

Single-ended

Sets the probe type to single-ended.

Differential

Sets the probe type to differential.

Bus (Trigger Source)

From Source

To Source

Select the From and To channel sources for the bus. The source selections for a single-ended probe type are: Ch1-Ch2, Ch3-Ch4, Ch1-Ch3, Ch2-Ch4, Ref1, Ref2, Ref3, Ref4.

The source selections for a differential probe type are: Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

Bus Type

Select the bus type. The bus type selections are: CAN-DW-LH, CAN-DW-HL, CAN-SW*, CAN-Fault-T-HL, CAN-Fault-T-LH.

Bit Rate

Set the bit rate for the selected bus type.

* For the CAN-SW Bus Type the source channel selection is always Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4.

  2. Select the probe type.

  3. Select the parameters–From Source, To Source, Bus Type, and Bit Rate.

  4. Click Tests > Connect to connect to the device under test.

Note: Trigger Using is not available for Propagation Delay test


Set up Trigger

On the menu bar, click Tests > Trigger Setup to set up the trigger parameters and conditions for the selected test. You can configure the trigger setup for the ATM-1 automotive trigger module in the trigger panel.

You can force a trigger by pressing the Single button on the front panel. Forced trigger is used to observe the sequence of events manually. Click Run to decode the acquired data in the Single No Acq mode.

The following figure shows the trigger setup parameters when Trigger Using is set to DPO-CAN:

The following figure shows the trigger setup parameters when Trigger Using is set to Standard:

The following table shows the Trigger parameters that you can set for protocol decoding:

The following figure shows the trigger setup parameters for timing tests when Trigger Using is set to ATM-1:

The following figure shows the trigger setup parameters for timing tests when Trigger Using is set to DPO-CAN:

The following table shows the Trigger parameters that you can set for the timing analysis tests.

Note: If you have set the Sample Point Location to a value such that the TSEG2 value is less than the SJW (synchronization jump width), then the following warning will appear: TSEG2 is less than SJW. Would you like to change the Sample Point and run the measurement again?

Choose Yes to change the Sample Point Location in the Trigger panel. Choose No to continue with the measurement without changing the value of the Sample Point Location.

If Trigger Using is set to DPO-CAN, the Trigger-In Source, Sample Point Location, and ACK trigger parameters are not available.

See Also:

Elementary Trigger

Logical Trigger

Advanced Trigger


Trigger CAN and CAN/LIN Protocol

On the menu bar, click Tests > Trigger Setup to set up the trigger parameters and conditions for the selected test. You can configure the trigger setup for the ATM-1 automotive trigger module in the trigger panel.

The following figure shows the trigger setup parameters for the CAN and CAN/LIN protocols when Trigger Using is set to DPO-CAN:

To set up a trigger event for CAN or CAN & LIN protocols, follow these steps:

  1. From Tests > Select, select CAN or CAN & LIN.

  2. From Tests > Configure, configure the CAN or CAN & LIN buses.

  3. From Tests > Trigger Setup, set the trigger parameters for the selected protocol(s).

The following table lists the parameters and their descriptions.

Parameter | Description
Trigger-In Source | Used to trigger the oscilloscope. It is the trigger output of the ATM-1 automotive trigger module that is connected to the trigger-in source. Set the Trigger-In source to Aux In, Ch1, Ch2, Ch3, or Ch4.
Sample Point Location | Is the location of finding the bit state (0, 1) from the start of the synchronization segment. Define the sample point location as a percentage of the bit interval.
Trigger Event | Select and define the Elementary, Logical, or Advanced trigger event to use.
ACK | Used to receive acknowledgement from the ATM-1 automotive trigger module that behaves as a CAN node. Set ACK to Yes to receive an acknowledgement from the ATM-1 automotive trigger module.

The following table shows the CAN and CAN/LIN trigger parameters when Trigger Using is set to DPO-CAN:

Parameter | Description
Trigger On | Select the frame on which to trigger. The selections are: CAN Message, Frame, ID, Data, ID and Data, EOF, Missing Ack
CAN Type | Select the CAN type to use: Standard, Extended
Type of Frame | Select the Type of Frame to use: Data and Remote
Format | Select binary or hexadecimal as the format you will use to enter ID and Data values
Data Direction | Select the Data Direction to use: Either, Write, and Read

  4. From Tests > Connect, set up the connections for the bus or buses to decode.

See Also:

Define Elementary Trigger Events

Define Logical Trigger Events

Define Advanced Trigger Events


Trigger LIN Protocol

Trigger setup is not available for decoding the LIN bus. The TDSVNM application uses the edge trigger feature of the oscilloscope.


Trigger Oscillator Tolerance, Eye Diagram, and Data Rate

Trigger for Oscillator Tolerance, Eye Diagram, and Data Rate

On the menu bar, click Tests > Trigger Setup to set up the trigger parameters and conditions for the selected test. You can configure the trigger setup for the ATM-1 automotive trigger module in the trigger panel.

The following figure shows the trigger setup parameters for the Oscillator Tolerance, Eye Diagram, and Data Rate tests when Trigger Using is set to DPO-CAN:

To set up a trigger event for Oscillator Tolerance, Eye Diagram, and Data Rate timing tests follow these steps:

  1. From Tests > Select, select Oscillator Tolerance, Eye Diagram, or Data Rate timing test.

  2. From Tests > Configure, configure the selected test.

  3. From Tests > Trigger Setup, set the trigger parameters for the selected test (as shown in the following table). The trigger setup for Oscillator Tolerance, Eye Diagram, and Data Rate timing tests are identical.

Parameter

Description

Trigger-In Source

Trigger-In Source is used to trigger the oscilloscope. It is the trigger output of the ATM-1 automotive trigger module that is connected to the trigger-in source.

Set the Trigger- In source to Aux In, Ch1, Ch2, Ch3, or Ch4.

Sample Point

Location

Gives the location of the bit state (0, 1) from the start of the synchronization segment. Define the sample point location as a percentage of the bit interval.

Input

ID

ACK

Type or select the Input ID in Hexadecimal or Binary format. The application generates the results for this specified ID.

Set ACK to Yes to receive an acknowledgement from the ATM-1 automotive trigger module that behaves as a CAN node.

The following table shows the Oscillator Tolerance, Eye Diagram, and Data Rate trigger parameters when Trigger Using is set to DPO-CAN:

Parameter | Description
ID | Type or select the Input ID
Data Direction | Select the Data Direction to use: Either, Data Frame, and Remote Frame

  4. Select the Trigger-In Source.

  5. Type or select the Input ID. Data acquisition starts when the application encounters an ID value that matches the one specified in this field.

  6. From Tests > Connect, set up the connections for the bus.


Trigger Bus Traffic

On the menu bar, click Tests > Trigger Setup to set up the trigger parameters and conditions for the selected test. You can configure the trigger setup for the ATM-1 automotive trigger module in the trigger panel.

The following figure shows the trigger setup parameters for the Bus Traffic test when Trigger Using is set to DPO-CAN:

To set up a trigger event for Bus Traffic timing test, follow these steps:

  1. From Tests > Select, select Bus Traffic timing test.

  2. From Tests > Configure, configure the selected test.

  3. From Tests > Trigger Setup, set the trigger parameters for the selected test for Trigger Using ATM-1 as shown in the following table:

Parameter | Description
Trigger-In Source | Trigger-In Source is used to trigger the oscilloscope. It is the trigger output of the ATM-1 automotive trigger module that is connected to the trigger-in source. Set the Trigger-In source to Aux In, Ch1, Ch2, Ch3, or Ch4.
Sample Point Location | Gives the location of the bit state (0, 1) from the start of the synchronization segment. Define the sample point location as a percentage of the bit interval.
Trigger Event | Select and define the Elementary trigger event to use.
ACK | Set ACK to Yes to receive an acknowledgement from the ATM-1 automotive trigger module that behaves as a CAN node.

The following table shows the Bus traffic trigger parameters when Trigger Using is set to DPO-CAN:

Parameter | Description
Trigger On | Select the frame on which to trigger. The selections are: CAN Message, Frame, ID, Data, ID and Data, EOF, Missing Ack
CAN Type | Select the CAN type to use: Standard, Extended
Type of Frame | Select the Type of Frame to use: Data and Remote
Format | Select binary or hexadecimal as the format you will use to enter ID and Data values
Data Direction | Select the Data Direction to use: Either, Data Frame, and Remote Frame

  4. Select the Trigger-In Source.

  5. Define the Elementary trigger event to use.

  6. From Tests > Connect, set up the connections for the bus.


Trigger Wakeup Time

On the menu bar, click Tests > Trigger Setup to set up the trigger parameters and conditions for the selected test. You can configure the trigger setup for the ATM-1 automotive trigger module in the trigger panel.

To set up a trigger event for Wakeup Time test, follow these steps:

  1. From Tests > Select, select Wakeup Time test.

  2. From Tests > Configure, configure the selected test.

  3. From Tests > Trigger Setup, set the trigger parameters for the selected test (as shown in the following table).

Parameter | Description
Trigger-In Source | Trigger-In Source is used to trigger the oscilloscope. It is the trigger output of the ATM-1 automotive trigger module that is connected to the trigger-in source. Set the Trigger- In source to Aux In, Ch1, Ch2, Ch3, or Ch4.
Wakeup Time Settling Latency Time Trigger Slope Trigger Level | Set the Settling Latency Time between 190 ns to 240 ns. Set the Trigger Slope to Rise or Fall. Set the Trigger Level between –40 V to +40 V.

  4. From Tests > Connect, set up the connections for the bus.


Trigger Propagation Delay

Triggering is not available for the Propagation Delay test.


Define Elementary Trigger Events

You can set the Trigger Event to one of the three trigger setups for the ATM-1 automotive trigger module in the trigger pane (Elementary, Logical, and Advanced). You can set trigger events to define the trigger out when the conditions that you have defined are met. Elementary, Logical, and Advanced triggering are available only for protocol decoding.

To set up an Elementary trigger event, follow these steps:

  1. From Tests > Select, select the protocol to decode.

  2. From Tests > Configure, configure the protocol.

  3. From Tests > Trigger Setup, set the trigger parameters for the selected protocol. The following table lists the parameters and their descriptions.

Parameter | Description
Trigger-In Source | Trigger-In Source is used to trigger the oscilloscope. It is the trigger output of the ATM-1 automotive trigger module that is connected to the trigger-in source.
Sample Point Location | Gives the location of the bit state (0, 1) from the start of the synchronization segment. Define the sample point location as a percentage of the bit interval.
Trigger Event | Select and define the Elementary, Logical, or Advanced trigger event to use. Trigger events are available only for protocol decoding.
ACK | Set ACK to Yes to receive an acknowledgement from the ATM-1 automotive trigger module that behaves as a CAN node.

  4. Set the Trigger-In source to Aux In, Ch1, Ch2, Ch3, or Ch4.

  5. Enter or select the Sample Point in percentage.

  6. Set the Trigger Event to Elementary and click Define. The application displays trigger settings for the elementary trigger event. The trigger events have conditions or parameters and associated trigger actions. The following table lists the parameters that you can set for an elementary trigger event.

Parameter | Description
Trigger On | Select the frame on which to trigger. The selections are: CAN Message, ID, Data, ID and Data, Data Frame, Remote Frame, Error Frame, Overload Frame
CAN Type | Select the CAN type to use: Standard, Extended
Error Type | Select the Error Type: Active, Passive, CRC, All, Form, Ack. This option is enabled only when Trigger On is set to Error Frame.
Format | Select binary or hexadecimal as the format you will use to enter ID, DLC, and Data values.
Trigger Events
ID | Select the operator that defines whether the ID field in the CAN frame meets a specified condition. The selections are: =, !=, <, <=, >, >=, Is in, Is not in.
DLC | Enter the data length count (DLC) for that frame (maximum of eight bytes).
Data | Select the operator that defines whether the Data field in the CAN frame meets a specified condition. The selections are: =, !=, <, <=, >, >=, Is in, Is not in.

Setting some bits in ID and DLC to a Don't Care condition (represented by Xs) is not allowed. If you do so, you will receive a warning after you click Apply.

However, Data values can have 'Don't Care' bits.

  5. Select the frame on which to trigger. Based on the trigger type selected, other options are enabled or disabled. The following table shows the types of frames that you can select as a trigger source. Based on the trigger-on source, the other selections change.

The following table shows the type of frames that you can select as a trigger source when Trigger Using is set to DPO-CAN:

Enter the ID, DLC, and Data values either by typing then in directly in the field or by using the virtual keyboard. Depending on the selected format , the virtual keyboard supports hexadecimal or binary input.

When the trigger condition that you have specified is met, the ATM-1 automotive trigger module sends a trigger out to the oscilloscope.

Click OK to confirm the settings and return to the trigger pane.

  6. Set ACK to Yes if you want to receive an acknowledgement from the ATM-1 automotive trigger module.

  7. Click Tests > Connect to set up connections to decode the protocol.

Example:

An event can be defined as: “IF <Trigger Condition> THEN <Trigger Out>”.

For the bus type CAN-DW-LH with a bit rate of 1 Mbps and trigger set to Elementary, set the following:

CAN Type: Standard

Trigger on: ID Is In 568 to 658

CAN Type: Standard

Trigger On: Data Frame

ID Is in 500 to 568

DLC = 6

Data = 46XXFF

See Also:

Logical Trigger

Advanced Trigger


Define Logical Trigger Events

In Logical Triggering, you can define more than one condition (up to three conditions) and set the application to trigger out when any one of the conditions are met.

To set up a logical trigger event, follow these steps:

  1. From Tests > Select, select the protocol to decode.

  2. From Tests > Configure, configure the protocol.

  3. From Tests > Trigger Setup, set the trigger parameters for the selected protocol. The following table lists the parameters and their descriptions.

Parameter | Description
Trigger-In Source | Trigger-In Source is used to trigger the oscilloscope. It is the trigger output of the ATM-1 automotive trigger module that is connected to the trigger-in source. Set the Trigger- In source to Aux In, Ch1, Ch2, Ch3, or Ch4.
Sample Point Location | Gives the location of finding the bit state (0, 1) from the start of the synchronization segment. Define the sample point location as a percentage of the bit interval.
Trigger Event | Select and define the Elementary, Logical, Advanced trigger event to use. Trigger events are available only for protocol decoding.
ACK | Set ACK to Yes to receive an acknowledgement from the ATM-1 automotive trigger module that behaves as a CAN node.

  4. Set the Trigger-In source to Aux In, Ch1, Ch2, Ch3, or Ch4.

  5. Enter or select the Sample Point Location in percentage.

  6. Set the Trigger event to Logical and click Define. The application displays a screen to define the logical trigger event. The trigger events have conditions or parameters and associated trigger actions. The following table lists the parameters that you can set for a logical trigger event.

Parameter | Description
Format | Select binary or hexadecimal as the format you will use to enter ID, DLC, and Data values.
Trigger On | Select the frame on which to trigger. The selections are: ID, ID and Data, Data Frame, Remote Frame, Overload Frame.
CAN Frame
ID | Select the operator that defines whether the ID field in the CAN frame meets a specified condition. The selections are: =, !=, <, <=, >, >=, Is in, Is not in.
DLC | Enter the data length count (DLC) for that frame (maximum of eight bytes).
Data | Select the operator that defines whether the Data field in the CAN frame meets a specified condition. The selections are: =, !=, <=, <, >, >=, Is in, Is not in.

Note: The ID can be either Standard or Extended. If the ID value is greater than an 11-bit value, the ID is considered as an Extended CAN message.

If the Trigger On selection is ID, ID & Data, Data Frame, or Remote Frame, and operator selected is Is In or Is Not In, and if you enter an ID value ranging from Standard ID to Extended, then TDSVNM determines the Frame Type based on the number of bits entered in the 'To' field.

Setting some bits in ID and DLC to a "Don't care" condition (represented by Xs) is not allowed. If you do so, you will receive a warning message after you click Apply.

However, Data values can have 'Don't Care' bits.

Depending on the format selected, the virtual keyboard supports hexadecimal or binary input.

  5. Select the frame on which to trigger. Based on the trigger type selected, other options are enabled or disabled. The following table shows the types of frames that you can select as a trigger source. Based on the trigger-on source, the other selections change.

When the trigger condition that you have specified is met, the ATM-1 automotive trigger module sends a trigger out to the oscilloscope.

Click OK to confirm the settings and return to the trigger pane.

  6. Set ACK to Yes to receive an acknowledgement from the ATM-1 automotive trigger module.

  7. Click Tests > Connect to set up connections to decode the protocol.

Example:

An event can be defined as: “IF <Trigger Condition> OR <Trigger Condition> OR <Trigger Condition> THEN <Trigger Out>”.

A logical trigger condition can be set as:

Trigger On: Data Frame

ID=xxxx, Data: 46 39 EF CB 34

DLC=xxxx

OR

Trigger On: Overload Frame

OR

Trigger On: Remote

ID=xxxxx

See Also:

Elementary Trigger

Advanced Trigger


Define Advanced Trigger Events

In Advanced triggering, you can define parameters for complex or advanced trigger conditions and actions for a maximum of three sequences. In each sequence, for a defined combination of trigger parameters, using the If Then Else condition, you can set one or more events to occur. For example, “IF <Trigger Condition> THEN <Trigger Actions> ELSE-IF <Trigger Condition> THEN <Trigger Actions>”. You can loop back from one sequence to the other, for instance, from Seq#2 the trigger action (“then” part) can direct to Seq#1.

To set up an advanced trigger event, follow these steps:

  1. From Tests > Select, select the protocol to decode.

  2. From Tests > Configure, configure the protocol.

  3. From Tests > Trigger Setup, set the trigger parameters for the selected protocol. The following table lists the parameters and their descriptions.

Parameter | Description
Trigger-In Source | Trigger-In Source is used to trigger the oscilloscope. It is the trigger output of the ATM-1 automotive trigger module that is connected to the trigger-in source.
Sample Point Location | Gives the location of finding the bit state (0, 1) from the start of the synchronization segment. Define the sample point location as a percentage of the bit interval.
Trigger Event | Select and define the Elementary, Logical, or Advanced trigger event to use. Trigger events are available only for protocol decoding.
ACK | Set ACK to Yes to receive an acknowledgement from the ATM-1 automotive trigger module that behaves as a CAN node.

  4. Set the Trigger-In source to Aux In, Ch1, Ch2, Ch3, or Ch4.

  5. Enter or select the Sample Point Location in percentage.

  6. Set the Trigger event to Advanced and click Define. The application displays a screen to define the advanced trigger event. The trigger events have conditions or parameters and associated trigger actions. The following table lists the parameters that you can set for an advanced trigger event.

Parameter | Description
Format | Select binary or hexadecimal as the format you will use to enter ID, DLC, and Data values.
Trigger Sequence #
If/Else If
Trigger On | Select the frame on which to trigger. The selections are: ID, ID and Data, Data Frame, Remote Frame, Overload Frame.
ID | Select the operator that defines whether the ID field in the CAN frame meets a specified condition. The selections are: =, !=, <=, >, >=, Is in, Is not in.
DLC | Enter the data length count (DLC) for that frame (maximum of eight bytes).
Data | Select the operator that defines whether the Data field in the CAN frame meets a specified condition. The selections are: =, !=, <=, >, >=, Is in, Is not in.
Then
Action #1 | Set the action to any one: Trigger Out, Start Timer#1, Start Timer#2, Stop Timer#1, Stop Timer#2, Reset Counter#1, Reset Counter#2, Inc Counter#1, Inc Counter#2, Dec Counter#1, Dec Counter#2, Go To Seq#1, Go To Seq#2, Go To Seq#3.
Action #2 | Set the action to any one: None, Trigger Out, Start Timer#1, Start Timer#2, Stop Timer#1, Stop Timer#2, Reset Counter#1, Reset Counter#2, Inc Counter#1, Inc Counter#2, Dec Counter#1, Dec Counter#2, Go To Seq#1, Go To Seq#2, Go To Seq#3.
Action #3 | Set the action to any one: None, Trigger Out, Start Timer#1, Start Timer#2, Stop Timer#1, Stop Timer#2, Reset Counter#1, Reset Counter#2, Inc Counter#1, Inc Counter#2, Dec Counter#1, Dec Counter#2, Go To Seq#1, Go To Seq#2, Go To Seq#3.

Note: The ID can be either Standard or Extended. If the ID value is greater than an 11-bit value, the ID is considered as an Extended CAN message.

If the Trigger On selection is ID, ID & Data, Data Frame, or Remote Frame, and operator selected is Is In or Is Not In, and if you enter an ID value ranging from Standard ID to Extended, then TDSVNM takes the Frame Type based on the number of bits entered in the 'To' field.

Setting some bits in ID and DLC to a "Don't care" condition (represented by Xs) is not allowed. If you do so, you will receive a warning message after you click Apply.

However, Data values can have 'Don't care' bits.

Depending on the format selected, the virtual keyboard supports hexadecimal or binary input.

  7. Select the sequence using the Seq#1, Seq#2 or Seq#3 buttons. For each sequence, you can set the CAN Type, Format, and define the Trigger Sequence.

  8. Select the frame on which to trigger. Based on the trigger type selected, other options are enabled or disabled. The following table shows the types of frames that you can select as a trigger source. Based on the trigger-on source, the other selections change.

  9. For each trigger sequence define the trigger events.

For a selected Trigger On source and trigger events, use the If-Then-Else condition to set one or more actions. You can define Action#1, Action#2, and Action #3 to any of the available selections. When the trigger condition that you have specified is met, the external trigger module sends a trigger out to the oscilloscope.

Click OK to confirm the settings and return to the trigger pane.

  10. Set ACK to Yes to receive an acknowledgement from the ATM-1 automotive trigger module. Otherwise, set ACK to No.

  11. Click Tests > Connect to set up connections to decode the protocol.

Example:

An advanced trigger event can be defined as:

Seq 1:

If

Trigger on: ID = 568,

Action1: Go to Sequence 2 Action2: None Action3: None

Else If

Trigger on: None

Seq 2:

If

Trigger On: Remote Frame ID = 555

Action1: Start Timer1, Action2: Go to Sequence 3, Action3: None

Else if

Trigger On: None

Seq 3:

If

Trigger On: ID = 555,

Action1: Trigger Out, Action2: None, Action3 : None

Else If

Trigger On, Timer1 >= 5sec

Action1: Trigger Out, Action2: None, Action3: None

See Also:

Elementary Trigger

Logical Trigger


Connections for CAN Protocol and Timing Tests

Connections for Protocol and Timing Tests

To carry out protocol and timing analysis tests, connect the oscilloscope, CAN or LIN bus and ATM-1 automotive trigger module as shown by clicking the following links.

Connections for CAN Dual Wire

Connections for CAN Single Wire

Connections for CAN Fault Tolerant

Connections for LIN

Connections for CAN and LIN Protocols

Note: Propagation Delay and Wakeup Time tests do not require the ATM-1 automotive trigger module.


Connections for CAN Dual Wire

On the menu bar, click Tests > Connect to make connections for protocol decoding.

To carry out CAN Dual Wire Protocol and timing analysis tests, connect the oscilloscope, CAN bus and ATM-1 automotive trigger module as in the following figures.

To carry out CAN Dual Wire Protocol and Timing Analysis tests using DPO-CAN bus trigger, connect the CAN bus to the oscilloscope as shown in the following figures:

See Also:

Connections for CAN Single Wire

Connections for CAN Fault Tolerant

Connections for CAN and LIN


Connections for CAN Single Wire

On the menu bar, click Tests > Connect to make connections for protocol decoding.

To carry out CAN Single Wire Protocol and timing analysis tests, connect the oscilloscope, CAN bus and ATM-1 automotive trigger module as in the following figure.

To carry out CAN Single Wire Protocol and Timing Analysis tests using DPO-CAN bus trigger, connect the CAN bus to the oscilloscope as shown in the following figures:

See Also:

Connections for CAN Dual Wire

Connections for CAN Fault Tolerant

Connections for CAN and LIN


Connections for CAN Fault Tolerant

On the menu bar, click Tests > Connect to make connections for protocol decoding.

To carry out CAN Fault Tolerant Protocol and timing analysis tests, connect the oscilloscope, CAN bus and ATM-1 automotive trigger module as in the following figures.

To carry out CAN Fault Tolerant Protocol and Timing Analysis tests using DPO-CAN bus trigger, connect the CAN bus to the oscilloscope as shown in the following figures:

See Also:

Connections for CAN Dual Wire

Connections for CAN Single Tolerant

Connections for CAN and LIN


Connections for LIN Protocol

On the menu bar, click Tests > Connect to make connections for protocol decoding.

To decode the LIN protocol, connect the oscilloscope and the LIN bus as shown in the following figure.

See Also:

Connections for CAN and LIN


Connections for CAN and LIN Protocols

On the menu bar, click Tests > Connect to make connections for protocol decoding.

To decode the CAN and LIN protocols simultaneously, connect the oscilloscope and the buses as shown in the following figure.

To decode the CAN and LIN protocols simultaneously using DPO-CAN bus trigger, connect the CAN bus to the oscilloscope as shown in the following figure:

See Also:

Connections for CAN Dual Wire

Connections for CAN Single Wire

Connections for CAN Fault Tolerant

Connections for CAN and LIN


Results Window

On the menu bar, click Results > Details to view the results of the selected protocol or test.

  • If you chose protocol decoding in the selection panel, then the result window shows the View Protocol Listing button. Click on this button to display the results of protocol decoding in the Protocol Analysis Window. If you chose the Advanced Trigger option, then the Timer1, Timer2, Counter1, and Counter2 values are also displayed.

  • For the Oscillator Tolerance test, the window displays the Tolerance range (minimum, maximum, and average) values. The results are shown with and without the Ack bit.

  • For the Eye Diagram test, click the View Eye Diagram button to display the Eye Diagram plot. The plot has an option to view the Eye Diagram with or without the Ack bit used during clock recovery.

  • For the Bus Traffic test, the window displays two tabs: Load and Frame Count. The Load tab displays the Load value (%) and the Bus Occupancy pie chart. The Frame Count tab displays the individual frame count and the total.

  • For the Data Rate test, the window displays the Data Rate range (minimum, maximum, and average) values. The results are shown with and without the Ack bit.

  • For the Wakeup Time test, the window displays the Wakeup Time value.

  • For the Propagation Delay test, the window displays the Propagation Delay value.


Listing Window

Protocol Analysis Window

On the menu bar, click Results > Details to view the results of the selected protocol.

When the external trigger module triggers the oscilloscope with a predefined trigger condition, the waveform on the source channel is acquired. The signal is decoded into CAN or LIN frames or messages. Each CAN or LIN frame has a header, control bits, and the data bytes associated with it.

To analyze the signal conveniently, the CAN and LIN message frames are listed in a tabular format. The table structure and its features are displayed on a control window called the Protocol Analysis Window. The protocol analysis window is not available for timing analysis tests.

The Protocol Analysis window provides the ability to analyze two bus signals simultaneously.

Area | Description
Toolbar | Displays the various controls to analyze the listed frames. You can expand or collapse the toolbar using Hide/Show Controls button.
Readouts | Displays the readouts of the Markers and the time difference between them.
Listing | Displays the listing of the decoded frames in the table structure.
Markers | Displays the markers associated with listing (M1 and M2).
Waveform | Displays the waveform corresponding to the selected row in the listing.

Toolbar

The buttons that are available on the toolbar are described in the following table.

Toolbar buttons

Action

Select a message on the protocol analysis window. Click Zoom1 or Zoom2. This places the cursors and zooms the waveform on the oscilloscope to the frame selected in the protocol analysis window.

Select a message on the protocol analysis window. Click M1. Select another message and click M2. This places the markers, M1 and M2 on the selected messages. For the second listing (in dual listing), use the M3 and M4 markers .

Click M1 to set the M1 message's timestamp to 0.0 sec. T0 now overlaps with M1.

Click Trig Frame to set the T (default trigger frame)message's timestamp to 0.0 sec. T0 now overlaps with T.

Click this button to show or hide the toolbar controls.

Click Search to open a dialog box and define the search criteria. You can search for message(s) based on ID, Data, IDE and Remote Frames (RTR bit is used to search for Remote frame). For a LIN bus, the search fields are ID and Data.

Click Filter to open a dialog box and define the filter criteria. You can filter and view message(s) based on ID, Data, IDE and Remote Frames. For a LIN bus, the search fields are limited to ID and Data.

Click CSV to save the decoded protocol frames as a CSV (comma separated variable) file.

Links the decoded CAN message to YT display of the CAN frame and then to the transducer output waveform. Link the analog waveform from the protocol analysis window by pressing Link button (in Show Sensor Wfm). This places the cursor on the waveform. The protocol analysis window is displayed in the half-screen mode.

The Stuff Bit Wfm is applicable only to CAN messages.

Select a Ref waveform from the list. Click On to add stuff bits to the selected destination reference waveform. Bit stuffing is active between SOF and CRC fields (minus delimiter). The protocol analysis window is displayed in the half-screen mode.

Click Configure to open a dialog box and configure the protocol analysis window to show one or two buses (for dual listing), marker readouts, display waveform, link timestamps (for dual listing), and the decoded data format.

Click Half Screen to display the Protocol Analysis window in the half-screen display mode.

Note: Zoom2 is not available on the oscilloscope models TDS7054 and TDS7104 with firmware version lower than 2.5.3.

Readouts

The protocol analysis window displays the timestamps for the messages associated with M1 and M2, and the time difference between the two cursors.

You can hide the readouts by using “X” button.

Listing

The protocol analysis window display is available only for protocol decoding. If you decode only one bus, the protocol analysis window shows the decoded listing of one bus. All the message fields are shown.

If you decode two buses, the protocol analysis window shows the individual listing or combined listings of the buses. The individual listing shows all the message fields.

The individual listing shows the following fields:

  • CAN message fields: ID, IDE, RTR, DLC, DATA, CRC, CRC DEL ACK, ACK DEL, TIMESTAMP and FRAME INFO

  • LIN message fields: ID, ID FIELD, FRAME TYPE, DATA, CHECKSUM, TIMESTAMP and ERROR

The combined listing shows the following selected fields:

  • CAN message fields: ID, Data, Ack, Timestamp and Frame Info

  • LIN message fields: ID, Data, Timestamp and ERROR

Markers

Use markers to mark a particular message frame on the listing and get the time difference between the frames. The following markers are available for a listing:

  • M1 (or M3; for simultaneous listings)

  • M2 (or M4; for simultaneous listings)

  • T0 (the zero timestamp reference): The T0 row is highlighted by default.

  • T (The immovable marker for the triggered frame on the oscilloscope )

You can place the markers in one of the following ways:

  • Hold and drag the marker (using the mouse) to the required message frame on the protocol analysis window

  • Right-click and select from the shortcut menu

Waveform

The message frame for the selected message (row) is plotted at the bottom of the listing window. The plot is reconstructed when the message selection changes. The plot shows the message components with labels corresponding to the protocol frame. The fields are divided as Header, Control, Data, and Delimiter. Data and Remote frames can be displayed. If the selected frame is an Error frame, then all fields except Data and CRC will not be displayed.

See Also:

Half-Screen Window Display

Search

Filter

Configure View

Shortcut Menu


Half-Screen Window Display

The protocol analysis window is shown in half-screen display when you want to synchronize the selected message to the oscilloscope waveform in time domain. The half-screen mode is displayed when you:

  • Click the buttons (Zoom1 or Zoom2) grouped under Sync Scope to Selected Row

  • Click the Link button in the Show Sensor Wfm group

  • Click the On button in Stuff Bit Wfm

The protocol analysis window is automatically displayed in the half-screen mode overlaying the application's main window.

By default, in the half-screen mode, you can view the selected row. The table height reduces and a scroll bar appears.

Click [image] or [image] to restore the full screen display of the analysis window.

See Also:

Protocol Analysis Window

Search

Filter

Configure View

Shortcut Menu


Shortcut Menu

The shortcut menu available on a right-click in the Protocol Analysis window is as shown:

Menu Selection | Description
Move M1 Here | Moves Marker1 to the location of the mouse pointer in the Protocol Analysis window.
Move M2 Here | Moves Marker2 to the location of the mouse pointer in the Protocol Analysis window.
Sync to Zoom1 | Zooms the selected frame of waveform on the oscilloscope.
Sync to Zoom2 | Zooms the selected frame of waveform on the oscilloscope.
Link Sensor Wfm | Links the decoded CAN message to YT display of the CAN frame and then to the transducer output waveform.
Search | Opens a dialog box where you can define the search criteria.
Filter | Opens a dialog box where you can define the filter criteria.

See Also:

Protocol Analysis Window

Search

Filter

Configure View


Search

From the protocol analysis window toolbar, click the Search button (grouped under Tools). A dialog box opens where you can define the search criteria.

Follow these steps to define a search.

  1. From Search On, select the field to search on. The fields are: ID, Data, IDE(0), IDE(1), RTR(0), and RTR(1). For a LIN bus, the search fields are limited to ID and Data.

  2. Select the operator. An operator is available only for ID and Data fields. The operators are: =, !=, <, <=, >, >=, Is In, and Is Not In.

  3. In the first field, enter a value. For range operators (Is-in and Is-not-in), select the To value as well.

  4. Click Search.

  5. Click the Previous button to highlight and navigate through the previous messages that satisfy the search definition. The Previous button is disabled if the highlighted message is the first message.
    Click the Next button to highlight and navigate through the next messages that satisfy the search definition. The Next button is disabled if the highlighted message is the last message. When no message meets the search criteria, the following message appears: The Search/Filter condition is not satisfied.

See Also:

Filter

Configure View

Shortcut Menu


Filter

From the protocol analysis window toolbar, click the Filter button (grouped under Tools). A dialog box opens where you can define the filter criteria.

Follow these steps to define a filter.

  1. From Filter On, select the field to filter on. The fields are: ID, Data, IDE and RTR. For a LIN bus, the fields available are ID and Data.

  2. Select the operator. The operators are: =, !=, <, <=, >, >=, Is In, and Is Not In.

  3. In the first field, enter a value. For range operators (Is-in and Is-not-in), select the To value as well.

  4. Click the Apply button to apply the filter definition. Click the Clear button to show all the messages without filtering. When no message meets the filter criteria, the following message appears: The Search/Filter condition is not satisfied.

See Also:

Search

Configure View

Shortcut Menu


Configure View

From the protocol analysis window toolbar, click the View Configure button. A dialog box opens where you can configure the view.

  • Select a bus (Bus1, Bus2, or Both) from the Listing Configuration group. If you select Both, Link Timestamps is enabled. For a dual listing, select Link Timestamps to link a row in one listing to the corresponding row in the other listing.

  • Select Show Marker Readouts and Show Waveform from the Window group to show/hide marker readouts and waveform.

  • Select the Format (Binary or Hex), to display the decoded values.

Note: When simultaneous listings are shown, the Format option is disabled (displaying Hex).

See Also:

Search

Filter

Shortcut Menu


Results for CAN Protocol

Results > Details

Once the protocol is decoded, the results are automatically displayed. However, you can also select Results > Details and click Protocol Listing to view the results.

If you chose Advanced Trigger event in Trigger Setup, the results include the Counter and Timer values as shown in the following figure.


Results for LIN Protocol

Results > Details

Once the protocol is decoded, the results are automatically displayed. However, you can also select Results > Details and click Protocol Listing to view the results.


Results for CAN and LIN Protocols

Results > Details

Once the protocol is decoded, the results are automatically displayed. However, you can also select Results > Details and click Protocol Listing to view the results.


Results for Eye Diagram

Results > Details

The result for the CAN Eye Diagram test is an Eye diagram plot. Click the View Eye Diagram button to view a plot of the eye diagram.

The following figure shows the Eye Diagram with Ack bit information.

The following figure shows the Eye Diagram without Ack bit information.

Use the toolbar to:

  • Save the Eye Diagram as a .jpg file

  • Zoom the Eye diagram

  • Reset the Eye diagram to its original display

  • View the cursor readouts

Click the Half Screen button to view the Eye Diagram display in half screen mode.


Eye Diagram Plot

Results > Details

Click the View Eye Diagram button to view a plot of the eye diagram. The Eye diagram is displayed in the lower half of the oscilloscope screen. To view the eye diagram plot in full screen mode, click the Full Screen button. When in the full screen mode, this button changes to Half Screen.

The Eye diagram plot has a toolbar that you can use to Save the Plot, Zoom In or Zoom Out, Reset Plot, and Display the cursors.

Toolbar buttons/Option | Action
 | Saves the eye diagram plot as a .jpg image
 | Zooms in the eye diagram plot
 | Zooms out the eye diagram plot
 | Resets the eye diagram plot to the original state
 | Places Cursor1 at the point you click and displays the X, Y values in readouts
 | Places Cursor2 at the point you click and displays the X, Y, Delta X, and Delta Y, values in readouts
 | Includes or excludes the Ack bit for clock recovery.


Results for Oscillator Tolerance

Results > Details

The results for the Oscillator Tolerance test give the Maximum, Minimum, and Average tolerance values with and without the Ack bit used for Clock Recovery. The Oscillator Tolerance is in %.


Results for Data Rate

Results > Details

The results for the Data Rate test give the Maximum, Minimum, and Average measurement with and without the Ack bit used for clock recovery. The Data Rate is in Kbps.


Results for Bus Traffic

Results > Details

The results for the Bus Traffic test are as follows:

  • The Load tab gives bus load occupancy (in percentage) and a corresponding Bus Occupancy pie chart. You can also input an ID value and press Enter to update the pie chart for that ID.

  • The Frame Count tab displays the Data, Remote, Error, Overload, and the total number of frames.


Results for Wakeup Time

Results > Details

If you are using a differential probe, upon clicking Run the application displays the following message—Turn on the ignition to trigger the oscilloscope.

When you switch on the battery power supply (equivalent to turning on an engine), the test executes and displays the Wakeup Time and Active Frame Time values (in seconds).

If you are using a single-ended probe, upon clicking Run the application displays the following message—Do the vertical setting on the oscilloscope. Press OK when vertical setting is done.

Upon clicking OK the application displays the following message—Turn on the ignition to trigger the oscilloscope. The test executes and displays the Wakeup Time and Active Frame Time values (in seconds).


Results for Propagation Delay

Results > Details

For the Propagation Delay test, the window displays the Propagation Delay value in nanoseconds.


ATM-1 License Installation

Utilities > ATM-1 License Installation

Use this option if the license key is not installed.

Note: Contact Crescent Heart Software (www.c-h-s.com) for more information on the license key.

To install or upgrade the license key information for the ATM-1 automotive trigger module, perform the following steps:

  1. Click Utilities > ATM-1 License Installation.

  2. Enter the license key that you received with the ATM-1 trigger module in the dialog box that opens and click OK.


Shortcut Keys

Menu/Menu items | Shortcut key
File | Alt + F
File > Recall Default | Alt + F + D
File > Recall | Alt + F + R
File > Save | Alt + F + S
File > Recall Recent | Alt + F + E
File > Recall Recent > First Recent | Alt + F + E + 1
File > Recall Recent > Second Recent | Alt + F + E + 2
File > Recall Recent > Third Recent | Alt + F + E + 3
File > Recall Recent > Fourth Recent | Alt + F + E + 4
File > Preferences | Alt + F + P
File > Minimize | Alt + F + M
File > Exit | Alt + F + X
Tests | Alt + T
Tests > Select | Alt + T + S
Tests > Configure | Alt + T + C
Tests > Trigger Setup | Alt + T + T
Tests > Connect | Alt + T + N
Results | Alt + R
Results > Details | Alt + R + D
Utilities | Alt + U
Utilities > ATM-1 License Installation | Alt + U + A
Help | Alt + H
Help > Help Topics | Alt + H + T
Help > About TDSVNM | Alt + H + A
Help > About ATM-1 | Alt + H + M


Error Messages

Error code

Error message

Description

Possible solution

110

Unable to trigger and acquire the waveform. Press F1 for more details.

The oscilloscope is not able to acquire the signal because the trigger is not available.

Configure the correct trigger source, and rerun the measurement.

111

Failed to import the waveform. Press F1 for more details.

The import of the waveform from the acquisition memory has failed because there is no valid waveform.

Reacquire the new waveform.

112

Invalid waveform record length. Press F1 for more details

This message appears whenever the waveform record length is greater than 16 M

Acquire the waveform with record length is less than 16 M and rerun the selected test.

200

Conflict in selecting sources. Sources for Bus1 and Bus2 are same. Press F1 for more details.

The sources selected for Bus1 and Bus2 are the same.

Select different input sources for Bus1 and Bus2.

201

Conflict in selecting sources. Sources for Bus1 and CAN Node sensor are same. Press F1 for more details.

The sources selected for Bus1 and CAN Node sensor are the same.

Select different input sources for Bus1 and CAN Node sensor.

202

Conflict in selecting sources. Bus2 and CAN Node senor are same. Press F1 for more details.

The sources selected for Bus2 and CAN Node sensor are the same.

Select different channel sources for Bus2 and CAN Node sensor.

203

Conflict in selecting sources. Bus1 Math and Bus2 Math are same. Press F1 for more details.

The math destinations selected for Bus1 and Bus2 are the same.

Select different Math destinations for Bus1 and Bus2.

204

Conflict in selecting sources. Bus1 Math and CAN Node senor Math are same. Press F1 for more details.

The math destination selected for Bus1 and CAN Node sensor are the same.

Select different Math destinations for Bus1 and CAN Node sensor.

205

Conflict in selecting sources. Bus2 Math and CAN Node senor Math are same. Press F1 for more details.

The math destination selected for Bus2 and CAN Node sensor are the same.

Select different Math destinations for Bus2 and CAN Node sensor.

207

Conflict in selecting sources. Sources cannot be Live and Ref. Press F1 for more details.

Selected sources are using Live and Ref channels simultaneously.

Select the sources such that all the sources are Live or Ref.

208

Unable to decode. Source waveforms have different time/div settings. Press F1 for more details.

The Bus1 and Bus2 waveforms have different time/div settings.

Acquire the Bus1 and Bus2 waveforms on the same Trigger, save to the Ref waveforms and rerun the selected test.

209

Unable to decode. Source waveforms have different record lengths. Press F1 for more details.

The Bus1 and Bus2 waveforms have different record lengths.

Acquire the Bus1 and Bus2 waveforms on the same Trigger, save to the Ref waveforms and rerun the selected test.

211

Conflict in selection of sources. Check if:

  1. Bus Source and Stuff waveform destination are the same.

  2. CAN Node sensor source and Stuff waveform destination are the same.

Press F1 for more details.

One of the following conflicts has occurred:

  1. Bus Source and Stuff waveform destination are the same.

  2. CAN Node sensor source and Stuff waveform destination are the same.

Select a different source for Stuff waveform destination.

401

Unable to locate edges on the waveform. Check if:

  1. The probe is connected correctly (for channel sources).

  2. The reference levels entered are correct.

Press F1 for more details.

The application is unable to locate the edges on the waveform at the transition because the voltage level does not fall in the transition range of the waveform.

Enter the Ref Level value where the transition occurs on the waveform. Enter 50% as Ref level and 20% as Hysteresis in File > Preferences.

402

Unable to decode the signal. Ensure that:

  1. The bus is operating at the set data rate.

  2. The bus type is correct.

  3. One complete frame is available.

Press F1 for more details.

The application is unable to decode the signal. This error occurs when:

  1. An incorrect data rate is entered.

  2. An incorrect CAN type is entered.

  3. An incomplete frame is present.

Enter the correct data rate, CAN type and ensure that at least one complete frame is present in the signal. Rerun the test.

403

The frames in this signal are invalid. Ensure that

  1. The bus is operating at the set data rate.

  2. The probe is connected properly (for channel sources).

  3. The reference levels entered are correct.

Press F1 for more details.

The application is unable to decode the signal. This error occurs when

  1. An incorrect data rate is entered.

  2. An incorrect CAN type is entered.

  3. An incomplete frame is present.

  4. Ref levels are incorrect.

  5. There are spikes on the signal.

Enter correct data rate, CAN type and ensure that at least one complete frame is present in the signal. Enter the correct reference level and hysteresis for the signal. Rerun the test.

501

Unable to calculate the Bus Traffic. Check if the bus is operating at the set data rate. Press F1 for more details.

Unable to decode the Frame correctly. The number of bits is high because a wrong data rate is entered.

Select the correct data rate. Rerun the test.

510

The specified ID cannot be found in the signal. Check if the ID is present on the bus. Press F1 for more details.

The decoded CAN frames do not have the specified ID.

Decode the bus to determine the ID. Enter the same ID. Rerun the test.

520

Unable to detect an Active Error frame. Improper wakeup signal. Press F1 for more details.

This error occurs when the first frame is not a good frame or a frame with an active error.

Ensure that:

  1. The CAN message occurs after the Wakeup signal.

  2. The levels for the wakeup detection are correct.

  3. The Latency time is correct.

521

Unable to detect a good frame. Improper wakeup signal. Press F1 for more details.

The application is unable to detect a good frame. This error occurs when the first message is an active error frame and all subsequent frames are error frames.

Ensure that the other CAN node comes up and send an ACK so that a good frame is available.

522

This is not a proper wakeup signal. Wakeup time cannot be negative. Press F1 for more details.

Measured wakeup time is negative.

Apply proper wakeup signal and rerun the measurement again.

530

The slopes of the From source signal and the To source signal do not match. Check the polarity of the probes. Press F1 for more details.

From source signal and To signal slopes do not match. This error occurs when one of the sources is connected to CAN-DW-HL and other is connected to CAN-DW-LH.

Connect From source and To source to either CAN-DW-HL or CAN-DW-LH and rerun the measurement.

603

Cursor position is out of range. Press F1 for more details.

Cursor position is beyond the waveform's horizontal range on the oscilloscope.

Rerun the test.

605

Waveform not available on the source. Press F1 for more details.

Cannot link the selected message to the waveform. The waveform on the selected source does not match the decoded waveform.

Rerun the test.

701

Cannot find the frames specified by the Search/Filter condition.

The specified Search/Filter condition is not valid or no frames match the search condition.

Enter a valid Search/Filter condition.

702

The CAN node sensor ID and the selected frame ID do not match.

The CAN node sensor ID and selected ID in the protocol analysis window are different.

Select a row with the specified CAN node sensor ID.

801

Unable to communicate with the ATM-1 trigger module.

The application is not able to communicate with the ATM-1 trigger module.

Check the USB connections and try running the measurement again.

802

The ATM-1 trigger module license key is invalid. Press F1 for more details.

The license key entered is invalid.

Enter a valid license key.


Default Settings I

Default Settings Part I

Menu/Parameter | Selections | Default
File > Preferences
Math Destination (for single-ended probes)
Bus1 Source | Math1, Math2, Math3, Math4 | Math1
Bus2 Source | Math1, Math2, Math3, Math4 | Math2
CAN Node Sensor Source | Math1, Math2, Math3, Math4 | Math3
Reference Level
Bus1 Source
Units | Perc(%), Abs | Perc(%)
Mid | 20 – 80% | 50%
Hysteresis | 5 – 40% | 20%
Bus2 Source
Units | Perc(%), Abs | Perc(%)
Mid | 20 – 80% | 50%
Hysteresis | 5 – 40% | 20%
CAN Node Source
Slope | Rise, Fall | Rise
Units | Perc(%), Abs | Perc(%)
Mid | 20 – 80% | 50%
Hysteresis | 5 – 40% | 20%
Do Autoset Every Time |  | Unchecked
Tests > Select
Protocol Decoding | CAN, LIN, CAN & LIN | CAN
Timing Analysis Tests | Oscillator Tolerance, Eye Diagram, Data Rate, Bus Traffic, Wakeup Time, Propagation Delay | None
Tests > Configure
CAN
Trigger Using | DPO-CAN, ATM-1, Standard | DPO-CAN (for a DPO oscilloscope and when CB: CAN Bus Trigger option is enabled); else ATM-1
Probe Type | Differential, Single-ended | Differential
Bus1 Source | Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4 | Ch1
Bus1 Type | CAN-DW-HL, CAN-DW-LH, CAN-SW, CAN-Fault-T-HL, CAN-Fault-T-LH | CAN-DW-HL
Bit Rate | 10 Kbps – 1 Mbps | 10 Kbps
Bus2 Source | Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4, None | None
Bus2 Type | CAN-DW-HL, CAN-DW-LH, CAN-SW, CAN-Fault-T-HL, CAN-Fault-T-LH, None | None
Bit Rate | 10 Kbps – 1 Mbps | 10 Kbps
CAN Node Sensor Source | Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4, None | None
Analysis | Data, Timing | Data
LIN
Probe Type | Differential, Single-ended | Differential
Bus1 Source | Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4 | Ch1
Bus1 Type | LIN | LIN
Bit Rate | 1 Kbps – 20 Kbps | 10 Kbps
Bus2 Source | Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4, None | None
Bus2 Type | LIN, None | None
Bit Rate | 1 Kbps – 20 Kbps | 10 Kbps
Analysis | Data, Timing | Data
CAN & LIN
Trigger Using | DPO-CAN, ATM-1, Standard | DPO-CAN (for a DPO oscilloscope and when CB: CAN Bus Trigger option is enabled); else ATM-1
Probe Type | Differential, Single-ended | Differential
Bus1 Source | Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4 | Ch1
Bus1 Type | CAN-DW-HL, CAN-DW-LH, CAN-SW, CAN-Fault-T-HL, CAN-Fault-T-LH | CAN-DW-HL
Bit Rate | 10 Kbps – 1 Mbps | 10 Kbps
Bus2 Source | Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4 | Ch2
Bus2 Type | LIN | LIN
Bit Rate | 1 Kbps – 20 Kbps | 10 Kbps
CAN Node Sensor Source | Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4, None | None
Analysis | Data, Timing | Data
Tests > Trigger Setup
CAN (When Trigger Using is set to ATM-1)
Trigger-In Source | Aux In, Ch1, Ch2, Ch3, Ch4 | Aux In
Sample Point Location | 20% – 90% | 60%
Trigger Event Select | Elementary, Logical, Advanced | Elementary
ACK | No, Yes | No
CAN & LIN
Trigger-In Source | Aux In, Ch1, Ch2, Ch3, Ch4 | Aux In
Sample Point Location | 20% – 90% | 60%
Trigger Event Select | Elementary, Logical, Advanced | Elementary
ACK | No, Yes | No
Tests > Trigger Setup
CAN (When Trigger Using is set to DPO-CAN)
Trigger On | CAN Message, Frame ID, DATA, ID and DATA, EOF, Missing ACK | ID and DATA
CAN Type | Standard, Extended | Standard
Format | Hex, Binary | Hex
DAta Direction | Either, Data Frame, Remote Frame | Either
ID |  | XXX
Data |  | XX XX XX XX XX XX XX XX
CAN & LIN |  |
Trigger On | CAN Message, Frame ID, DATA, ID and DATA, EOF, Missing ACK | ID and DATA
CAN Type | Standard, Extended | Standard
Format | Hex, Binary | Hex
Data Direction | Either, Data Frame, Remote Frame | Either
ID |  | XXX
Data |  | XX XX XX XX XX XX XX XX


Default Settings II

Default Settings Part II

Menu/Parameter | Selections | Default
Tests > Configure
Oscillator Tolerance, Eye Diagram, Bus Traffic, Data Rate, Wakeup Time
Trigger Using | DPO-CAN, ATM-1 | DPO-CAN (for a DPO oscilloscope and when CB: CAN Bus Trigger option is enabled); else ATM-1
Probe Type | Differential, Single-ended | Differential
Bus Source | Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4 | Ch1
Bus Type | CAN-DW-HL, CAN-DW-LH, CAN-SW, CAN-Fault-T-HL, CAN-Fault-T-LH | CAN-DW-HL
Bit Rate | 10 Kbps – 1 Mbps | 10 Kbps
Propagation Delay
Probe Type | Differential, Single-ended | Differential
From Source | Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4 | Ch1
To Source | Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4 | Ch2
Bus Type | CAN-DW-HL, CAN-DW-LH, CAN-SW, CAN-Fault-T-HL, CAN-Fault-T-LH | CAN-DW-HL
Bit Rate | 10 Kbps – 1 Mbps | 10 Kbps
Tests > Trigger Setup
Oscillator Tolerance, Eye Diagram, Data Rate
Trigger-In Source | Aux In, Ch1, Ch2, Ch3, Ch4 | Aux In
Sample Point Location | 20% – 90% | 60%
Input ID | XXXXX | XXXXX
ACK | No, Yes | No
Bus Traffic
Trigger-In Source | Aux In, Ch1, Ch2, Ch3, Ch4 | Aux In
Sample Point Location | 20% – 90% | 60%
Trigger Event Select | Elementary | Elementary
ACK | No, Yes | No
Wakeup Time
Trigger-In Source | Aux In, Ch1, Ch2, Ch3, Ch4 | Aux In
Settling Latency Time | 190 ms – 240 ms | 190 ms
Trigger Slope | Rise, Fall | Rise
Trigger Level | –40 V – +40 V | 12 V
Elementary Trigger Settings
Trigger On | CAN message, ID, Data, ID and Data, Data Frame, Remote Frame, Error Frame, Overload Frame | Data Frame
CAN Type | Standard, Extended | Standard
Error Type | Active, Passive, CRC, Any, Form, ACK | Active
Format | Binary, Hex | Hex
ID | =, !=, <,<=, >, >=, Is in, Is not in | =
DLC |  | XXXXX
Data | =, !=, <,<=, >, >=, Is in, Is not in | =
Logical Trigger Settings
Format | Binary, Hex | Hex
Trigger On | ID, Id and Data, Data Frame, Remote Frame, Overload Frame | Data Frame
ID | =, !=, <, <=, >, >=, Is in, Is not in | =
DLC |  | XXXXX
Data | =, !=, <, <=, >, >=, Is in, Is not in | =
Advanced Trigger Settings
Format | Binary, Hex | Hex
Trigger Sequence #1, #2, #3
Trigger On | ID, Id and Data, Data Frame, Remote Frame, Overload Frame | Data Frame
DLC |  | XXXXX
ID | =, !=, <, <=, >, >=, Is in, Is not in | =
Data | =, !=, <, <=, >, >=, Is in, Is not in | =
Action #1 | Trigger-out, Start Timer #1, Start Timer #2, Stop Timer #1, Stop Timer #2, Reset Counter #1, Reset Counter #2, Inc Counter #1, Inc Counter #2, Dec Counter#1, Dec Counter #2, Go To Seq #1, Go To Seq #2, Go To Seq #3 | Trigger-out
Action #2 | Trigger-out, Start Timer #1, Start Timer #2, Stop Timer #1, Stop Timer #2, Reset Counter #1, Reset Counter #2, Inc Counter #1, Inc Counter #2, Dec Counter #1, Dec Counter #2, Go To Seq #1, Go To Seq #2, Go To Seq #3, None | None
Action #3 | Trigger-out, Start Timer #1, Start Timer #2, Stop Timer #1, Stop Timer #2, Reset Counter #1, Reset Counter #2, Inc Counter #1, Inc Counter #2, Dec Counter #1, Dec Counter #2, Go To Seq #1, Go To Seq #2, Go To Seq #3, None | None
Results
Stuff Destination | NA | Ref1
Save/Recall File (.CSV) | NA | C:\TekApplications\ TDSVNM\Reports\ Decode.csv


CAN Protocol

The CAN protocol can be standard or extended message. When the configured trigger condition occurs and the waveform has been acquired, the application performs the following steps:

  1. Extracts crossings on the waveform, based on the configured Ref Levels.

  2. Converts the waveform into a stream of bits using the nominal bit rate that you entered.

  3. Analyzes the bit stream to detect CAN frames; it identifies the SOF, looks for error frames and based on this, detects the EOF.

  4. Once complete frames have been identified on the converted bit stream, decodes the Bit stream framewise, excluding the stuff bits.


LIN Protocol

Once the waveform is acquired on the edge trigger, the application performs the following steps:

  1. Extracts crossings on the waveform based on the configured Ref Levels.

  2. Converts the waveform into a stream of bits using the nominal bit rate entered by the user.

  3. Analyzes the bit stream to detect LIN frames; after identifying the SOF, decodes the Bit stream framewise.

  4. Detects the LIN frame type.

  5. Detects LIN errors and error types.


Oscillator Tolerance

The Oscillator tolerance range test measures the deviation of the measured data rate from actual data rate. This data rate deviation is a result of the tolerance deviation of the oscillator.

The results give the tolerance values with and without Ack bit used for clock recovery. This gives the tolerance value that the selected node should have to decode the incoming data correctly. The tolerance range should be good enough so that node can transmit data and receive data correctly and participate in the arbitration without affecting the other node.

Oscillator tolerance is used to check for the following cases:

Case 1

If stuff violations occur, the receiver node should be able to decode the 11th bit as a stuff violation. In this condition, resynchronization happens only after the 10th bit interval. The oscillator tolerance is:

where,

Tsjw is the resynchronization jump width

Tnbt is nominal bit time

Δf is the frequency tolerance

The nominal bit time is given by:

where BR is the nominal bit rate. It is the number of bits per second transmitted by an ideal transmitter in the absence of resynchronization and is determined by the nominal bit rate specified by the user.

Case 2

When there is an error frame and it is an active error, there can be 12 bits without resynchronization. The oscillator tolerance is such that the 13th bit can be detected. Here, the oscillator tolerance is:

The CAN System clock (Tq) is derived from the oscillator and is divided by the bit rate preschooler. The value of Tq depends upon the number of quantas programmed for the nodes. So the bit rate variation directly reflects the variation of Tq and subsequently the clock of the crystal.

Algorithm for this measurement: Recover the clock on the selected Id CAN frame. Calculate the recovered clock period and its deviation from the programmed data rate.

In this example, the recovered clock period is the actual period Tactual.

The tolerance is derived from actual data rates. The clocks are recovered using the edge crossing of the resynchronization edges.


Eye Diagram

The Eye Diagram measurement plots the CAN bits one after the other. This plot shows the transition of each bit in the CAN message and enables you to choose a suitable sampling point for the CAN node.

The cursor feature on the plot enables you to measure the voltage levels and the crossover time of the transition bit. The ACK and NO ACK features help to measure the deviation of this bit from the regular transmitted bits.

The individual bits are separated from the CAN message bit stream for the selected ID. The separation is based on the recovered clock interval. The clock recovery mechanism uses the resynchronization transition so that the eye diagram gives a pictorial view of the bits seen on the ECU that is connected on the network.

Optimum samples should be present to draw the eye diagram. The trigger module will trigger and capture the particular frame id. Each captured event is stored in the Fast Frame segments or frames, concatenated, and displayed in the order they were captured. This feature essentially allows you to remove unwanted sections of the waveform so you can focus on the signal of interest.


Data Rate

The Data Rate test measures the data rate of the selected ID. The data rate measurement enables you to measure the actual data rate of the CAN bus signal transmitted by the node of the selected ID. The data rate is measured with the clock recovery technique which uses the resynchronization edge time.

The results give the data rate values with and without Ack bit (from the other node) used for clock recovery. The deviation measurement enable you to program your node for the correct data rate.

The application measures the nominal data rate derived from the data transition of the selected ID. If there are more frames of the same ID in the acquisition, it also calculates the maximum, minimum, and average data rates.

The data rate is calculated using the technique illustrated in the oscillator tolerance section of this document.


Bus Traffic

Measures the bus traffic on the CAN network enabling you to determine the traffic load on the bus. This also enables you to estimate the T bus availability to transmit messages by lower priority nodes by finding the node that occupies the maximum time on the bus.

If each message time is B(i) and N is the number of messages in the acquisition record, message occupancy time is

Within the acquisition record, the complete CAN message starts from the time Tstart of the first message and the end of the last message at Tend. The duration of the traffic considered for the measurement is:

Measuring the occupancy of any given ID: A novel way of identifying and representing bus that has been occupied by the particular ID can be calculated as follows.

  1. Decode the CAN message from the acquired waveform on the oscilloscope.

  2. Calculate each message time from the start of the frame to the end of the frame and decode each message.

  3. Assign the message time for each message to T(n) where n varies from 0 to N for N+1 messages.

  4. In the decoded message, assume that there are k different IDs, and each ID may be repeated a maximum of z times.

  5. The CAN message from the node k that has occupied the bus time is Tkoccupy.

The bus load due to the message from the particular node is given by:

This Tkload will be represented in a PIE chart as a percentage of occupancy on the full bus load (Bload).


Wakeup Time

Wakeup Time is the time measured from the ignition signal to the first frame transmitted on the bus. This test measures the time taken by the CAN bus network to become active on the network from the time the ignition is switched on. The first message transmitted may not acknowledged by the other node. But when two or more nodes come up on the network, the message is acknowledged. The time measured from the ignition to the time that the first active message is acknowledged is known as active time.

In general, wakeup time can be in the range from 190 ms to 240 ms.


Propagation Delay

Propagation Delay is the time taken by the CAN message to travel from a transmitter at one end of the bus to a receiver at the other end of the bus.

The oscilloscope is set to trigger on the start of the frame (SOF) of a CAN message set as the 'From Source'. Once an SOF occurs, the waveform is captured and the application extracts the edges based on the configured Mid level and Hysteresis. The acquired waveform looks like the waveform in the following figure. The time difference (Δt) between the SOF of 'To Source' and 'From Source' is measured. This time difference gives the propagation delay.

If the 'From Source' and the 'To Source' are reversed, propagation delay is negative.

Note: The propagation delay multiplied by two gives the loop delay of the network.


Related Documentation

This topic will contain a list of related documents or standards that the user can refer to.


Protocol Analysis

Results > Details

If you have selected a bus under Protocol Decoding, the application result window shows only a View Protocol Listing button. Click the Protocol Listing button to display the results of the tests in the Protocol Analysis window.

Screen

If you have selected only one bus to decode, the Protocol Analysis window displays the decoded frames of only that bus.

Screen

If you have selected two buses to decode, the Protocol Analysis window displays the decoded frames of both buses simultaneously.

To use the toolbar in the Protocol Analysis window, refer to the topic Protocol Analysis Window.

See Also:

Protocol Analysis Window

Search

Filter

Half-Screen Window Display

Configure View